import { defineComponent as o } from "vue";
import a from "../PvBadge/PvBadge.vue.mjs";
import r from "./PvDataInfoBoxFooter.vue.mjs";
import n from "./PvDataInfoBoxDescription.vue.mjs";
import p from "./PvDataInfoBoxFormats.vue.mjs";
const c = o({
  name: "PvDataInfoBox",
  components: {
    PvBadge: a,
    PvDataInfoBoxFooter: r,
    PvDataInfoBoxDescription: n,
    PvDataInfoBoxFormats: p
  },
  props: {
    /**
     * The dataset to display.
     */
    dataset: {
      type: Object,
      default: () => ({
        title: "",
        description: "",
        catalog: "",
        createdDate: "12.12.2023",
        updatedDate: "13.12.2023",
        formats: []
      })
    },
    /**
     * The route to navigate to when clicking on the dataset.
     */
    to: {
      type: [Object, String],
      required: !0
    },
    /**
     * Specified the maximum length of the description before it is cut off.
     */
    descriptionMaxLength: {
      type: Number,
      default: 200
    },
    /**
     * Image source for the catalog logo/flag.
     */
    src: {
      type: String,
      default: ""
    },
    /**
     * If true, swaps to catalog display mode
     */
    catalogMode: {
      type: Boolean,
      default: !1
    },
    /**
     * If true switches from two column to one column layout
     * and decreases vertical distancing between elements.
     */
    compact: {
      type: Boolean,
      default: !1
    }
  },
  computed: {
    datasetOrCatalogTitle() {
      const { dataset: t, catalogMode: e } = this;
      return e ? t.title || t.catalog || "" : t.title || "";
    }
  }
});
export {
  c as default
};
//# sourceMappingURL=PvDataInfoBox.vue2.mjs.map
