import b from "jquery";
import { mapGetters as D, mapActions as P } from "vuex";
import { debounce as O, has as g } from "lodash-es";
import A from "../utils/fileTypes.mjs";
import I from "./cataloguesFacets/CataloguesFacets.vue.mjs";
import T from "../widgets/Pagination.vue.mjs";
import B from "../facets/SelectedFacetsOverview.vue.mjs";
import h from "../filters/dateFilters.mjs";
import { resolveComponent as c, openBlock as d, createElementBlock as u, createElementVNode as s, toDisplayString as n, createTextVNode as a, createBlock as f, createCommentVNode as m, withDirectives as Q, withKeys as M, vModelText as N, Fragment as C, renderList as S, createVNode as y, withCtx as q, normalizeClass as $ } from "vue";
import U from "../_virtual/_plugin-vue_export-helper.mjs";
import { getImg as G, getTranslationFor as Z, getCountryFlagImg as E } from "../utils/helpers.mjs";
import "@unhead/vue";
import "merge-anything";
import "../configurations/config-schema/apiSchema.mjs";
import "../configurations/config-schema/authenticationSchema.mjs";
import "../configurations/config-schema/contentSchema.mjs";
import "../configurations/config-schema/routingSchema.mjs";
import "../configurations/config-schema/metadataSchema.mjs";
import "../configurations/config-schema/languagesSchema.mjs";
import "../configurations/config-schema/themesSchema.mjs";
import "../configurations/config-schema/trackerSchema.mjs";
import "../configurations/config-schema/configSchema.mjs";
import "vue-router";
import { useDatasetsHead as j } from "../composables/head/useDatasetsHead.mjs";
import "vue-i18n";
import "./Catalogues.vue2.mjs";
const V = {
  name: "catalogs",
  components: {
    SelectedFacetsOverview: B,
    CataloguesFacets: I,
    Pagination: T
  },
  props: {
    infiniteScrolling: {
      type: Boolean,
      default: !1
    },
    pagination: {
      type: Boolean,
      default: !0
    }
  },
  data() {
    return {
      autocompleteData: {
        suggestions: {},
        show: !0
      },
      debouncedOnBottomScroll: O(this.onBottomScroll, 500),
      facetFields: [],
      query: "",
      sortSelected: `relevance desc, modified desc, title.${this.$route.query.locale} asc`,
      sortSelectedLabel: this.$t("message.sort.relevance"),
      currentSearchQuery: this.$route.query.query,
      useCatalogFacets: this.$env.content.catalogs.facets.useCatalogFacets
    };
  },
  computed: {
    ...D("catalogs", [
      "getCatalogs",
      "getCatalogsCount",
      "getFacets",
      "getLimit",
      "getLoading",
      "getOffset",
      "getPage",
      "getPageCount",
      "getAvailableFacets"
    ]),
    page() {
      return this.$route.query.page;
    },
    facets() {
      const t = {};
      for (const e of this.facetFields) {
        let l = this.$route.query[e];
        l ? Array.isArray(l) || (l = [l]) : l = [], t[e] = l;
      }
      return t;
    }
  },
  methods: {
    ...P("catalogs", [
      "autocompleteQuery",
      "loadCatalogs",
      "loadAdditionalCatalogs",
      "setQuery",
      "setPage",
      "addFacet",
      "setFacets",
      "setFacetOperator",
      "setFacetGroupOperator",
      "setPageCount",
      "setSort",
      "setLimit",
      "setLoading"
    ]),
    has: g,
    getImg: G,
    getTranslationFor: Z,
    getCountryFlagImg: E,
    initLimit() {
      const t = parseInt(this.$route.query.limit, 10);
      t > 0 && this.setLimit(t);
    },
    setPageLimit(t) {
      this.setLimit(t), this.initCatalogues();
    },
    initPage() {
      const t = parseInt(this.$route.query.page, 10);
      t > 0 ? this.setPage(t) : this.setPage(1);
    },
    initQuery() {
      let t = this.$route.query.query;
      t ? (this.query = t, this.setQuery(t)) : (t = "", this.setQuery(""));
    },
    initSort() {
      let t = this.$route.query.sort;
      t && (t = t.split(",")[0].toLowerCase(), t === "relevance+desc" && (this.sortSelectedLabel = this.$t("message.sort.relevance")), t.includes("title") && t.includes("asc") && (this.sortSelectedLabel = this.$t("message.sort.nameAZ")), t.includes("title") && t.includes("desc") && (this.sortSelectedLabel = this.$t("message.sort.nameZA")), t === "modified+desc" && (this.sortSelectedLabel = this.$t("message.sort.lastUpdated")), t === "issued+desc" && (this.sortSelectedLabel = this.$t("message.sort.lastCreated")), this.sortSelected = this.$route.query.sort);
    },
    initFacetOperator() {
      const t = this.$route.query.facetOperator;
      (t === "AND" || t === "OR") && this.setFacetOperator(t);
    },
    initFacetGroupOperator() {
      const t = this.$route.query.facetOperator;
      (t === "AND" || t === "OR") && this.setFacetGroupOperator(t);
    },
    initFacets() {
      const t = this.$env.content.catalogs.facets.defaultFacetOrder;
      for (const e of t)
        if (this.facetFields.push(e), !Object.prototype.hasOwnProperty.call(this.$route.query, [e]))
          this.$router.replace({
            query: Object.assign({}, this.$route.query, { [e]: [] })
          });
        else
          for (const l of this.$route.query[e])
            this.addFacet({ field: e, facet: l });
    },
    initCatalogues() {
      this.$nextTick(() => {
        this.$Progress.start(), this.loadCatalogs({}).then(() => {
          this.setPageCount(Math.ceil(this.getCatalogsCount / this.getLimit)), this.$Progress.finish(), b('[data-toggle="tooltip"]').tooltip({
            container: "body"
          });
        }).catch(() => this.$Progress.fail());
      });
    },
    initInfiniteScrolling() {
      this.infiniteScrolling && window.addEventListener("scroll", this.onScroll);
    },
    setSortMethod(t, e, l) {
      this.sortSelectedLabel = l, t === "relevance" && (this.sortSelected = `${t}+${e}, modified+desc, title.${this.$route.query.locale}+asc`), t === "modified" && (this.sortSelected = `${t}+${e}, relevance+desc, title.${this.$route.query.locale}+asc`), t === `title.${this.$route.query.locale}` && (this.sortSelected = `${t}+${e}, relevance+desc, modified+desc`), t === `title.${this.$route.query.locale}` && (this.sortSelected = `${t}+${e}, relevance+desc, modified+desc`), t === "issued" && (this.sortSelected = `${t}+${e}, relevance+desc, title.${this.$route.query.locale}+asc`);
    },
    changeQuery(t) {
      this.$router.replace({ query: Object.assign({}, this.$route.query, { query: t }) }), this.setQuery(t);
    },
    autocomplete(t) {
      this.autocompleteQuery(t).then((e) => {
        this.autocompleteData.suggestions = [];
        const l = e.data.result, p = [];
        for (const r of l.results)
          p.push(r);
        this.autocompleteData.suggestions = p, this.autocompleteData.show = t.length !== 0;
      }).catch((e) => {
        console.error(e);
      });
    },
    handleSuggestionSelection(t) {
      this.$router.push({ path: this.$route.path.slice(-1) === "/" ? `${this.$route.path}${t.idName}` : `${this.$route.path}/${t.idName}` });
    },
    onScroll() {
      const t = this.$el.querySelectorAll(".catalog"), e = t[t.length - 1];
      e && e.getBoundingClientRect().bottom - window.innerHeight <= 0 && this.debouncedOnBottomScroll();
    },
    onBottomScroll() {
      this.$nextTick(() => {
        this.$Progress.start(), this.setLoading(!0), this.loadAdditionalCatalogs().then(() => {
          this.$Progress.finish(), this.setLoading(!1);
        }).catch(() => {
          this.$Progress.fail(), this.setLoading(!1);
        });
      });
    },
    removeDuplicatesOf(t) {
      return [...new Set(t)];
    },
    getFileTypeColor(t) {
      return A.getFileTypeColor(t);
    },
    filterDateFormatUS(t) {
      return h.formatUS(t);
    },
    filterDateFormatEU(t) {
      return h.formatEU(t);
    },
    filterDateFromNow(t) {
      return h.fromNow(t);
    },
    getCatalogLink(t) {
      return `/catalogues/${t.id}&locale=${this.$route.query.locale}`;
    },
    getCatalogImage(t) {
      return this.$env.content.catalogs.useCatalogCountries ? `${this.$env.content.catalogs.defaultCatalogImagePath}/${g(t, "country.id") ? t.country.id : this.$env.content.catalogs.defaultCatalogCountryID}` : `${this.$env.content.catalogs.defaultCatalogImagePath}/${g(t, "id") ? t.id : this.$env.content.catalogs.defaultCatalogID}`;
    },
    getFooterTags(t) {
      return [`${g(t, "count") ? t.count : 0}`];
    },
    getCatalogLanguages(t) {
      return g(t, "country.id") ? [t.country.id].concat(t.languages) : t.languages;
    },
    isSortSelectedLabelInDropdown() {
      return this.sortSelectedLabel === this.$t("message.sort.nameAZ") || this.sortSelectedLabel === this.$t("message.sort.nameZA") || this.sortSelectedLabel === this.$t("message.sort.lastCreated");
    },
    isSortSelectedLabelActive(t) {
      return t === this.sortSelectedLabel;
    }
  },
  watch: {
    facets: {
      handler(t) {
        this.setFacets(t);
      },
      deep: !0
    },
    page(t) {
      const e = parseInt(t, 10);
      e > 0 ? this.setPage(e) : this.setPage(1);
    },
    sortSelected: {
      handler(t) {
        this.$router.replace({ query: Object.assign({}, this.$route.query, { sort: t }) }), this.setSort(t);
      },
      deep: !0
    },
    $route(t) {
      this.currentSearchQuery = t.query.query;
    }
  },
  created() {
    this.initLimit(), this.initPage(), this.initQuery(), this.initSort(), this.initFacetOperator(), this.initFacetGroupOperator(), this.initFacets(), this.initCatalogues(), this.initInfiniteScrolling();
  },
  beforeUnmount() {
    b(".tooltip").remove(), this.infiniteScrolling && window.removeEventListener("scroll", this.onScroll);
  },
  setup() {
    j({ isCatalog: !0 });
  }
}, R = { class: "container-fluid catalogs content" }, H = { class: "row col-12 page-title text-primary" }, K = { class: "row" }, z = { class: "col-md col-12" }, J = { class: "filters-group" }, W = { class: "input-group" }, X = ["aria-label", "placeholder"], Y = { class: "input-group-append ml-2" }, x = {
  key: 0,
  class: "suggestion-list-group"
}, _ = { class: "list-group suggestion-list" }, tt = ["onClick"], et = {
  class: "mt-3 d-flex justify-content-between flex-wrap-reverse nav nav-tabs",
  id: "datasets-filters-tab",
  role: "tablist"
}, st = { class: "datasets-filters-navigation d-flex cursor-pointer" }, ot = ["title"], at = ["title"], it = { class: "nav-item mb-0" }, rt = ["href", "title"], lt = {
  class: "datasets-filters-filters btn-group mb-1 double-button",
  role: "group",
  "aria-label": "Button group with nested dropdown"
}, nt = ["title"], dt = ["title"], ut = {
  class: "btn-group",
  role: "group"
}, gt = {
  key: 0,
  class: "active-styles d-flex align-items-center custom-dropdown-button border-radius-end",
  id: "btnGroupDrop1",
  type: "button",
  "data-toggle": "dropdown",
  "aria-expanded": "false"
}, ct = { class: "pl-2 h-100 d-flex align-items-center" }, mt = {
  key: 1,
  class: "d-flex align-items-center custom-dropdown-button border-radius-end inactive-styles",
  id: "btnGroupDrop1",
  type: "button",
  "data-toggle": "dropdown",
  "aria-expanded": "false"
}, pt = { class: "pl-2" }, ht = {
  class: "dropdown-menu dropdown-menu-right",
  "aria-labelledby": "btnGroupDrop1"
}, ft = {
  key: 0,
  class: "loading-spinner ml-3"
}, yt = {
  key: 1,
  class: "loading-spinner mx-auto mt-3 mb-3"
}, $t = { class: "row" }, vt = { class: "column col-12 col-md-9 offset-md-3" };
function bt(t, e, l, p, r, i) {
  const w = c("catalogues-facets"), v = c("router-link"), L = c("selectedFacetsOverview"), F = c("pv-data-info-box"), k = c("pagination");
  return d(), u("div", R, [
    s("h1", H, n(t.$t("message.header.navigation.data.catalogs")), 1),
    e[31] || (e[31] = a()),
    s("div", K, [
      r.useCatalogFacets ? (d(), f(w, {
        key: 0,
        class: "col-md-3 col-12 mb-3 mb-md-0 px-0"
      })) : m("", !0),
      e[30] || (e[30] = a()),
      s("section", z, [
        s("div", J, [
          s("div", W, [
            Q(s("input", {
              type: "text",
              class: "form-control rounded-lg",
              "aria-label": t.$t("message.catalogs.searchBar.placeholder"),
              placeholder: t.$t("message.catalogs.searchBar.placeholder"),
              "onUpdate:modelValue": e[0] || (e[0] = (o) => r.query = o),
              onKeyup: e[1] || (e[1] = M((o) => i.changeQuery(r.query), ["enter"])),
              onClick: e[2] || (e[2] = (o) => r.autocompleteData.show = r.autocompleteData.suggestions.length > 0 && r.query.length != 0 ? !r.autocompleteData.show : !1)
            }, null, 40, X), [
              [N, r.query]
            ]),
            e[10] || (e[10] = a()),
            s("div", Y, [
              s("button", {
                class: "btn btn-sm btn-primary d-flex align-items-center search-button",
                type: "button",
                onClick: e[3] || (e[3] = (o) => i.changeQuery(r.query))
              }, e[9] || (e[9] = [
                s("i", { class: "material-icons" }, "search", -1)
              ]))
            ]),
            e[11] || (e[11] = a()),
            r.autocompleteData.show ? (d(), u("div", x, [
              s("ul", _, [
                (d(!0), u(C, null, S(r.autocompleteData.suggestions, (o) => (d(), u("button", {
                  class: "list-group-item list-group-item-action",
                  key: o.id,
                  onClick: (Ct) => i.handleSuggestionSelection(o)
                }, n(i.getTranslationFor(o.title, t.$route.query.locale, [o.country.id].concat(o.languages))), 9, tt))), 128))
              ])
            ])) : m("", !0)
          ]),
          e[24] || (e[24] = a()),
          s("ul", et, [
            s("div", st, [
              s("li", {
                class: "nav-item mb-0",
                role: "tab",
                title: t.$t("message.tooltip.datasets"),
                "data-toggle": "tooltip",
                "data-placement": "top"
              }, [
                y(v, {
                  to: { name: "Datasets", query: { locale: t.$route.query.locale } },
                  class: "nav-link router-link-inactive",
                  role: "presentation"
                }, {
                  default: q(() => [
                    a(n(t.$t("message.header.navigation.data.datasets")), 1)
                  ]),
                  _: 1
                }, 8, ["to"])
              ], 8, ot),
              e[12] || (e[12] = a()),
              s("li", {
                class: "nav-item mb-0",
                title: t.$t("message.tooltip.catalogues"),
                "data-toggle": "tooltip",
                "data-placement": "top"
              }, [
                y(v, {
                  to: { name: "Catalogues", query: { locale: t.$route.query.locale } },
                  class: "nav-link router-link-active",
                  role: "presentation"
                }, {
                  default: q(() => [
                    a(n(t.$t("message.header.navigation.data.catalogs")), 1)
                  ]),
                  _: 1
                }, 8, ["to"])
              ], 8, at),
              e[13] || (e[13] = a()),
              s("li", it, [
                s("a", {
                  href: `/${this.$route.query.locale}/search?term=${r.query}&searchdomain=site`,
                  class: "nav-link router-link-inactive",
                  role: "presentation",
                  title: t.$t("message.tooltip.editorialContent"),
                  "data-toggle": "tooltip",
                  "data-placement": "top"
                }, n(t.$t("message.searchTabs.editorialContent")), 9, rt)
              ])
            ]),
            e[23] || (e[23] = a()),
            s("div", lt, [
              s("button", {
                type: "button",
                class: $(["custom-button pl-2 pr-2 border-radius-start d-flex align-items-center inactive-styles", { "active-styles": i.isSortSelectedLabelActive(t.$t("message.sort.lastUpdated")) }]),
                title: t.$t("message.tooltip.relevance"),
                "data-toggle": "tooltip",
                "data-placement": "top",
                onClick: e[4] || (e[4] = (o) => i.setSortMethod("modified", "desc", t.$t("message.sort.lastUpdated")))
              }, n(t.$t("message.sort.lastUpdated")), 11, nt),
              e[21] || (e[21] = a()),
              s("button", {
                type: "button",
                class: $(["custom-middle-button pl-2 pr-2 d-flex align-items-center inactive-styles", { "active-styles": i.isSortSelectedLabelActive(t.$t("message.sort.relevance")) }]),
                title: t.$t("message.tooltip.relevance"),
                "data-toggle": "tooltip",
                "data-placement": "top",
                onClick: e[5] || (e[5] = (o) => i.setSortMethod("relevance", "desc", t.$t("message.sort.relevance")))
              }, n(t.$t("message.sort.relevance")), 11, dt),
              e[22] || (e[22] = a()),
              s("div", ut, [
                i.isSortSelectedLabelInDropdown() ? (d(), u("button", gt, [
                  s("div", ct, n(r.sortSelectedLabel), 1),
                  e[14] || (e[14] = a()),
                  e[15] || (e[15] = s("i", { class: "pr-2 material-icons small-icon dropdown-icon" }, "arrow_drop_down", -1))
                ])) : (d(), u("button", mt, [
                  s("div", pt, n(t.$t("message.catalogsAndDatasets.more")), 1),
                  e[16] || (e[16] = a()),
                  e[17] || (e[17] = s("i", { class: "pr-2 material-icons small-icon dropdown-icon" }, "arrow_drop_down", -1))
                ])),
                e[20] || (e[20] = a()),
                s("ul", ht, [
                  s("button", {
                    class: "dropdown-item",
                    onClick: e[6] || (e[6] = (o) => i.setSortMethod(`title.${t.$route.query.locale}`, "asc", t.$t("message.sort.nameAZ")))
                  }, n(t.$t("message.sort.nameAZ")), 1),
                  e[18] || (e[18] = a()),
                  s("button", {
                    class: "dropdown-item",
                    onClick: e[7] || (e[7] = (o) => i.setSortMethod(`title.${t.$route.query.locale}`, "desc", t.$t("message.sort.nameZA")))
                  }, n(t.$t("message.sort.nameZA")), 1),
                  e[19] || (e[19] = a()),
                  s("button", {
                    class: "dropdown-item",
                    onClick: e[8] || (e[8] = (o) => i.setSortMethod("issued", "desc", t.$t("message.sort.lastCreated")))
                  }, n(t.$t("message.sort.lastCreated")), 1)
                ])
              ])
            ])
          ])
        ]),
        e[26] || (e[26] = a()),
        s("div", {
          class: $(["alert alert-primary mt-3 d-flex flex-row", { "alert-danger": t.getCatalogsCount <= 0 && !t.getLoading }])
        }, [
          s("div", null, n(t.getLoading ? t.$t("message.catalogs.loadingMessage") : `${t.getCatalogsCount.toLocaleString("fi")}
            ${t.$t("message.catalogs.countMessage")}`), 1),
          e[25] || (e[25] = a()),
          t.getLoading ? (d(), u("div", ft)) : m("", !0)
        ], 2),
        e[27] || (e[27] = a()),
        t.getFacets ? (d(), f(L, {
          key: 0,
          "selected-facets": t.getFacets,
          "available-facets": t.getAvailableFacets
        }, null, 8, ["selected-facets", "available-facets"])) : m("", !0),
        e[28] || (e[28] = a()),
        (d(!0), u(C, null, S(t.getCatalogs, (o) => (d(), f(F, {
          key: `data-info-box@${o.id}`,
          "catalog-mode": "",
          to: {
            path: `/catalogues/${o.id}`,
            query: {
              locale: t.$route.query.locale
            }
          },
          src: i.getImg(i.getCatalogImage(o)),
          dataset: {
            title: i.getTranslationFor(o.title, t.$route.query.locale, i.getCatalogLanguages(o)),
            description: i.getTranslationFor(o.description, t.$route.query.locale, i.getCatalogLanguages(o)),
            catalog: i.getTranslationFor(o.title, t.$route.query.locale, i.getCatalogLanguages(o)),
            createdDate: null,
            updatedDate: null,
            formats: []
          },
          "description-max-length": 1e3,
          "data-cy": `catalog@${o.id}`,
          class: "mt-3"
        }, null, 8, ["to", "src", "dataset", "data-cy"]))), 128)),
        e[29] || (e[29] = a()),
        t.getLoading ? (d(), u("div", yt)) : m("", !0)
      ])
    ]),
    e[32] || (e[32] = a()),
    s("div", $t, [
      s("div", vt, [
        y(k, {
          class: "mt-3",
          "items-count": t.getCatalogsCount,
          "items-per-page": t.getLimit,
          "get-page": t.getPage,
          "get-page-count": t.getPageCount,
          onSetPageLimit: i.setPageLimit
        }, null, 8, ["items-count", "items-per-page", "get-page", "get-page-count", "onSetPageLimit"])
      ])
    ])
  ]);
}
const Jt = /* @__PURE__ */ U(V, [["render", bt], ["__scopeId", "data-v-c693b7bd"]]);
export {
  Jt as default
};
//# sourceMappingURL=Catalogues.vue.mjs.map
