import * as z from 'zod';
export declare const apiSchema: z.ZodObject<{
    baseUrl: z.ZodEffects<z.ZodString, string, string>;
    hubUrl: z.ZodEffects<z.ZodString, string, string>;
    qualityBaseUrl: z.ZodEffects<z.ZodString, string, string>;
    similarityBaseUrl: z.ZodEffects<z.ZodString, string, string>;
    similarityServiceName: z.ZodDefault<z.ZodString>;
    fileUploadUrl: z.ZodEffects<z.ZodString, string, string>;
    sparqlUrl: z.ZodEffects<z.ZodString, string, string>;
    gazetteerBaseUrl: z.ZodEffects<z.ZodString, string, string>;
    corsproxyApiUrl: z.ZodEffects<z.ZodString, string, string>;
}, "strip", z.ZodTypeAny, {
    baseUrl: string;
    hubUrl: string;
    qualityBaseUrl: string;
    similarityBaseUrl: string;
    similarityServiceName: string;
    fileUploadUrl: string;
    sparqlUrl: string;
    gazetteerBaseUrl: string;
    corsproxyApiUrl: string;
}, {
    baseUrl: string;
    hubUrl: string;
    qualityBaseUrl: string;
    similarityBaseUrl: string;
    fileUploadUrl: string;
    sparqlUrl: string;
    gazetteerBaseUrl: string;
    corsproxyApiUrl: string;
    similarityServiceName?: string | undefined;
}>;
