import { setupDpiContext as g } from "./composables/useDpiContext.mjs";
import { defineComponent as v, defineAsyncComponent as y, toRef as $, computed as s, toValue as E, provide as C, watchEffect as I } from "vue";
import { mapGetters as S, mapActions as d, useStore as b } from "vuex";
import { config as w } from "./config/dpi-spec-config.mjs";
import { useRuntimeEnv as D } from "../composables/useRuntimeEnv.mjs";
import { useRoute as A } from "vue-router";
import { useDpiEditMode as x } from "./composables/useDpiEditMode.mjs";
import { autocompleteKey as k, defaultAutocompleteAdapter as L } from "./composables/aucotomplete.mjs";
const j = v({
  name: "DataProviderInterface",
  components: {
    InputPage: y(() => import("./views/InputPage.vue.mjs"))
  },
  props: {
    name: {
      type: String,
      default: ""
    },
    dpiContext: {
      type: Object,
      default: () => {
      }
    },
    autocomplete: {
      type: Object,
      default: () => {
      }
    }
  },
  metaInfo() {
    return {
      title: `${this.$t("message.metadata.upload")} | ${this.$t("message.header.navigation.data.datasets")}`,
      meta: [
        { name: "description", vmid: "description", content: `${this.$t("message.datasets.meta.description")}` },
        { name: "keywords", vmid: "keywords", content: `${this.$env.metadata.keywords} ${this.$t("message.datasets.meta.description")}}` },
        { name: "robots", content: "noindex, follow" }
      ]
    };
  },
  data() {
    return {
      property: this.$route.params.property,
      id: this.$route.params.id
    };
  },
  computed: {
    ...S("auth", [
      "getIsEditMode"
    ]),
    mode() {
      return this.property === "catalogues" ? this.getIsEditMode ? this.$t("message.dataupload.menu.editCatalogue") : this.$t("message.dataupload.createNewCatalogue") : this.property === "datasets" ? this.getIsEditMode ? this.$t("message.dataupload.menu.editDataset") : this.$t("message.dataupload.createNewDataset") : "Edit Distribution";
    }
  },
  methods: {
    ...d("dpiStore", [
      "saveLocalstorageValues"
    ]),
    ...d("auth", [
      "populateDraftAndEdit"
    ]),
    getClearPath() {
      return `${this.$env.content.dataProviderInterface.basePath}/${this.property}?locale=${this.$i18n.locale}&clear=true`;
    },
    handleScroll() {
      var o, t, a;
      try {
        (o = document.getElementById("stepperAnchor")) != null && o.offsetTop || 0 >= 35 ? (t = document.getElementById("stepperAnchor")) == null || t.classList.add("border-bottom-lightgray") : (a = document.getElementById("stepperAnchor")) == null || a.classList.remove("border-bottom-lightgray");
      } catch {
      }
    }
  },
  created() {
    window.addEventListener("scroll", this.handleScroll), this.populateDraftAndEdit();
  },
  mounted() {
    this.saveLocalstorageValues(this.property);
  },
  unmounted() {
    window.removeEventListener("scroll", this.handleScroll);
  },
  setup(o) {
    const t = A(), a = b(), i = D(), r = i.content.dataProviderInterface.specification, c = w[r], p = $(o, "dpiContext"), e = s(() => {
      const h = E(p);
      return {
        specification: c,
        specificationName: r,
        edit: {
          enabled: t.query.edit === "true",
          id: t.query.id || void 0,
          fromDraft: t.query.fromDraft === "true"
        },
        ...h
      };
    }), m = s(() => e.value.specification), n = s(() => e.value.specificationName);
    g(e);
    const u = L({
      envs: i,
      dpiContext: e
    });
    C(k, o.autocomplete || u.adapter), I(() => {
      a.dispatch("dpiStore/setSpecification", m.value), a.dispatch("dpiStore/setSpecificationname", n.value);
    });
    const l = s(() => `${t.query.key}@${n.value}`), { isReady: f } = x(e);
    return {
      resolvedDpiContext: e,
      key: l,
      isReady: f
    };
  }
});
export {
  j as default
};
//# sourceMappingURL=DataProviderInterface.vue2.mjs.map
