import { MaybeRefOrGetter } from 'vue';

/**
 * Fetches the name of a resource based on its URI, vocabulary, and property.
 */
export declare function useRequestUriName(options: {
    res: MaybeRefOrGetter<string>;
    voc: MaybeRefOrGetter<string>;
    property: MaybeRefOrGetter<string>;
    locale: MaybeRefOrGetter<string>;
}): {
    state: import('vue').Ref<undefined, undefined>;
    isReady: import('vue').Ref<boolean>;
    isLoading: import('vue').Ref<boolean>;
    error: import('vue').Ref<unknown>;
    execute: (delay?: number) => Promise<undefined>;
    then<TResult1 = import('@vueuse/core').UseAsyncStateReturnBase<undefined, [], true>, TResult2 = never>(onfulfilled?: ((value: import('@vueuse/core').UseAsyncStateReturnBase<undefined, [], true>) => TResult1 | PromiseLike<TResult1>) | null | undefined, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | null | undefined): PromiseLike<TResult1 | TResult2>;
};
