import { mapGetters as v, mapActions as h } from "vuex";
import f from "jquery";
import w from "../../widgets/AppLink.vue.mjs";
import { useRuntimeEnv as $ } from "../../composables/useRuntimeEnv.mjs";
import { resolveComponent as y, openBlock as c, createElementBlock as b, createElementVNode as e, createTextVNode as o, toDisplayString as r, Fragment as P, renderList as I, createVNode as i, withCtx as p } from "vue";
import "./DraftsPage.vue2.mjs";
import C from "../../_virtual/_plugin-vue_export-helper.mjs";
const L = {
  props: [],
  components: {
    AppLink: w
  },
  data() {
    return {
      env: $(),
      values: {},
      isDuplication: localStorage.getItem("dpi_duplicate"),
      duplicatedID: "",
      modalProps: {
        loading: !1,
        message: this.$t("message.dataupload.modal.deleteDraft"),
        confirm: () => null
      }
    };
  },
  computed: {
    ...v("auth", [
      "getUserDrafts",
      "getUserData"
    ]),
    token() {
      return this.getUserData.rtpToken;
    }
  },
  methods: {
    ...h("auth", [
      "setIsDraft",
      "updateUserDrafts",
      "setIsEditMode"
    ]),
    ...h("snackbar", [
      "showSnackbar"
    ]),
    ...h("dpiStore", [
      "convertToRDF",
      "clearAll",
      "convertToInput"
      // 'deleteDistribution',
      // 'setDeleteDistributionInline',
    ]),
    createLinkedMetricsURL(s, t, u) {
      return {
        path: `/dpi/draft/${s}.${u}`,
        query: {
          useNormalizedId: !0,
          locale: this.$route.query.locale,
          catalogue: t
        }
      };
    },
    handleEdit(s, t) {
      this.setIsDraft(!0), localStorage.removeItem("dpi_duplicate"), this.$router.push({ name: "DataProviderInterface-Edit", params: { catalog: t, property: "datasets", id: s }, query: { locale: this.$route.query.locale } }).catch(() => {
      });
    },
    async handleDelete(s, t) {
      await this.doRequest("auth/deleteUserDraftById", { id: s, catalog: t }), f("#modal").modal("hide"), this.showSnackbar({
        message: this.$t("message.dataupload.snackBar.draftDeleted"),
        variant: "success"
      });
    },
    async handlePublish(s, t) {
      await this.doRequest("auth/publishUserDraftById", { id: s, catalog: t }), f("#modal").modal("hide"), this.showSnackbar({
        message: this.$t("message.dataupload.snackBar.datasetPublished"),
        variant: "success"
      }), this.$router.push({ name: "DatasetDetailsDataset", params: { ds_id: s }, query: { locale: this.$route.query.locale } }).catch(() => {
      }), setTimeout(() => {
        localStorage.removeItem("dpi_duplicate"), this.$router.go();
      });
    },
    handleConfirmPublish(s, t) {
      this.modalProps.message = this.$t("message.dataupload.modal.publishDataset"), this.modalProps.confirm = () => this.handlePublish(s, t), f("#modal").modal("show"), localStorage.removeItem("dpi_duplicate");
    },
    handleConfirmDelete(s, t) {
      this.modalProps.message = this.$t("message.dataupload.modal.deleteDraft"), this.modalProps.confirm = () => this.handleDelete(s, t), f("#modal").modal("show"), localStorage.removeItem("dpi_duplicate");
    },
    handleConfirmDuplication(s, t) {
      this.setIsDraft(!0), localStorage.setItem("dpi_duplicate", !0), this.$router.push({ name: "DataProviderInterface-Edit", params: { catalog: t, property: "datasets", id: s }, query: { locale: this.$route.query.locale } }).catch(() => {
        console.log(error);
      });
    },
    async doRequest(s, { id: t, newId: u, catalog: D, url: m, token: n }) {
      this.$Progress.start(), this.modalProps.loading = !0;
      try {
        await this.$store.dispatch(s, { id: t, newId: u, catalog: D, url: m, token: n }), this.$Progress.finish();
      } catch (l) {
        this.showSnackbar({
          message: l.message,
          color: "error"
        }), this.$Progress.fail();
      } finally {
        await new Promise((l) => setTimeout(l, 500)), this.modalProps.loading = !1;
      }
    }
  },
  created() {
    this.updateUserDrafts();
  }
}, S = { class: "d-flex flex-column bg-transparent container-fluid justify-content-between content draftWrapper" }, U = { class: "d-flex mt-3" }, _ = { class: "logoDPIPiveau" }, x = { class: "" }, M = { class: "infoBox" }, R = { class: "d-flex" }, q = ["innerHTML"], T = { class: "d-flex align-items-center justify-content-center" }, B = { class: "table" }, E = { scope: "col" }, N = { scope: "col" }, A = { scope: "col" }, j = ["data-cy"], F = { class: "w33" }, V = { class: "w33" }, W = { class: "buttonWrapper" }, z = {
  type: "button",
  class: "btn btn-secondary dropDownWrap"
}, H = ["title"], G = {
  class: "dropdown-menu dropdown-menu-right",
  "aria-labelledby": "linkedDataDropdown"
}, J = ["onClick"], O = ["onClick"], X = ["onClick"], K = ["onClick"];
function Q(s, t, u, D, m, n) {
  const l = y("app-link"), k = y("app-confirmation-dialog");
  return c(), b("div", S, [
    e("div", U, [
      e("div", _, [
        t[0] || (t[0] = e("h2", null, "DPI", -1)),
        t[1] || (t[1] = o()),
        t[2] || (t[2] = e("div", { class: "dpiLogoSeperator" }, null, -1)),
        t[3] || (t[3] = o()),
        e("h4", x, r(s.$t("message.dataupload.menu.draftDatasets")), 1)
      ])
    ]),
    t[25] || (t[25] = o()),
    e("div", M, [
      e("div", R, [
        t[4] || (t[4] = e("svg", {
          xmlns: "http://www.w3.org/2000/svg",
          width: "30px",
          height: "30px",
          fill: "currentColor",
          class: "bi bi-info-circle mr-3 mb-3 infoboxI",
          viewBox: "0 0 16 16"
        }, [
          e("path", { d: "M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14m0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16" }),
          o(),
          e("path", { d: "m8.93 6.588-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533zM9 4.5a1 1 0 1 1-2 0 1 1 0 0 1 2 0" })
        ], -1)),
        t[5] || (t[5] = o()),
        e("p", {
          innerHTML: s.$t("message.dataupload.drafts.intro")
        }, null, 8, q)
      ])
    ]),
    t[26] || (t[26] = o()),
    e("div", T, [
      e("table", B, [
        e("thead", null, [
          e("tr", null, [
            e("th", E, r(s.$t("message.dataupload.menu.Dataset")) + " ID", 1),
            t[6] || (t[6] = o()),
            e("th", N, r(s.$t("message.dataupload.menu.Catalogue")) + " ID", 1),
            t[7] || (t[7] = o()),
            e("th", A, r(s.$t("message.dataupload.menu.actions")), 1)
          ])
        ]),
        t[24] || (t[24] = o()),
        e("tbody", null, [
          (c(!0), b(P, null, I(s.getUserDrafts, ({ id: a, catalog: d }) => (c(), b("tr", {
            key: `draft@${a}`,
            "data-cy": `draft@${a}`
          }, [
            e("td", F, r(a), 1),
            t[22] || (t[22] = o()),
            e("td", V, r(d), 1),
            t[23] || (t[23] = o()),
            e("td", W, [
              e("button", z, [
                i(l, {
                  class: "dropdown-toggle text-nowrap text-decoration-none",
                  fragment: "#",
                  role: "button",
                  id: "linkedDataDropdown",
                  "data-toggle": "dropdown",
                  "aria-haspopup": "true",
                  "aria-expanded": "false"
                }, {
                  default: p(() => [
                    e("span", {
                      title: s.$t("message.metadata.linkedData"),
                      "data-toggle": "tooltip",
                      "data-placement": "top"
                    }, r(s.$t("message.metadata.linkedData")), 9, H)
                  ]),
                  _: 1
                }),
                t[17] || (t[17] = o()),
                e("div", G, [
                  i(l, {
                    to: n.createLinkedMetricsURL(a, d, "rdf"),
                    target: "_blank",
                    class: "dropdown-item"
                  }, {
                    default: p(() => t[8] || (t[8] = [
                      e("div", { class: "px-2 py-1" }, "RDF/XML", -1)
                    ])),
                    _: 2
                  }, 1032, ["to"]),
                  t[13] || (t[13] = o()),
                  i(l, {
                    to: n.createLinkedMetricsURL(a, d, "ttl"),
                    target: "_blank",
                    class: "dropdown-item"
                  }, {
                    default: p(() => t[9] || (t[9] = [
                      e("div", { class: "px-2 py-1" }, "Turtle", -1)
                    ])),
                    _: 2
                  }, 1032, ["to"]),
                  t[14] || (t[14] = o()),
                  i(l, {
                    to: n.createLinkedMetricsURL(a, d, "n3"),
                    target: "_blank",
                    class: "dropdown-item"
                  }, {
                    default: p(() => t[10] || (t[10] = [
                      e("div", { class: "px-2 py-1" }, "Notation3", -1)
                    ])),
                    _: 2
                  }, 1032, ["to"]),
                  t[15] || (t[15] = o()),
                  i(l, {
                    to: n.createLinkedMetricsURL(a, d, "nt"),
                    target: "_blank",
                    class: "dropdown-item"
                  }, {
                    default: p(() => t[11] || (t[11] = [
                      e("div", { class: "px-2 py-1" }, "N-Triples", -1)
                    ])),
                    _: 2
                  }, 1032, ["to"]),
                  t[16] || (t[16] = o()),
                  i(l, {
                    to: n.createLinkedMetricsURL(a, d, "jsonld"),
                    target: "_blank",
                    class: "dropdown-item"
                  }, {
                    default: p(() => t[12] || (t[12] = [
                      e("div", { class: "px-2 py-1" }, "JSON-LD", -1)
                    ])),
                    _: 2
                  }, 1032, ["to"])
                ])
              ]),
              t[18] || (t[18] = o()),
              e("button", {
                type: "button",
                class: "btn btn-secondary",
                onClick: (g) => n.handleEdit(a, d)
              }, r(s.$t("message.dataupload.menu.edit")), 9, J),
              t[19] || (t[19] = o()),
              e("button", {
                type: "button",
                class: "btn btn-primary",
                onClick: (g) => n.handleConfirmPublish(a, d)
              }, r(s.$t("message.dataupload.menu.publish")), 9, O),
              t[20] || (t[20] = o()),
              e("button", {
                type: "button",
                class: "btn btn-primary",
                onClick: (g) => n.handleConfirmDuplication(a, d)
              }, r(s.$t("message.dataupload.menu.duplicate")), 9, X),
              t[21] || (t[21] = o()),
              e("button", {
                type: "button",
                class: "btn btn-danger",
                onClick: (g) => n.handleConfirmDelete(a, d)
              }, r(s.$t("message.dataupload.menu.delete")), 9, K)
            ])
          ], 8, j))), 128))
        ])
      ])
    ]),
    t[27] || (t[27] = o()),
    i(k, {
      id: "modal",
      confirm: "Confirm",
      loading: m.modalProps.loading,
      onConfirm: m.modalProps.confirm
    }, {
      default: p(() => [
        o(r(m.modalProps.message), 1)
      ]),
      _: 1
    }, 8, ["loading", "onConfirm"])
  ]);
}
const rt = /* @__PURE__ */ C(L, [["render", Q], ["__scopeId", "data-v-8f837c12"]]);
export {
  rt as default
};
//# sourceMappingURL=DraftsPage.vue.mjs.map
