import { mapGetters as f } from "vuex";
import { useRoute as c } from "vue-router";
import v from "./header/DatasetDetailsHeader.vue.mjs";
import D from "./navigation/DatasetDetailsNavigation.vue.mjs";
import { getRepresentativeLocaleOf as y } from "../utils/helpers.mjs";
import { useDownloadDatasetOnMount as T } from "../composables/useDownloadDatasetOnMount.mjs";
import "@unhead/vue";
import { useRuntimeEnv as _ } from "../composables/useRuntimeEnv.mjs";
import { resolveComponent as r, openBlock as o, createElementBlock as p, createVNode as n, createTextVNode as a, createBlock as u, createCommentVNode as i, createElementVNode as b } from "vue";
import "vue-i18n";
import { useDatasetDetailsHead as k } from "../composables/head/useDatasetDetailsHead.mjs";
import "lodash-es";
import "./DatasetDetails.vue2.mjs";
import L from "../_virtual/_plugin-vue_export-helper.mjs";
const N = {
  name: "datasetDetails",
  components: {
    DatasetDetailsHeader: v,
    DatasetDetailsNavigation: D
  },
  data() {
    return {
      topTitle: this.$env.content.datasetDetails.header.navigation === "top"
    };
  },
  props: {
    activeTab: {
      type: Number,
      default: 0
    },
    citationStyle: String
  },
  computed: {
    ...f("datasetDetails", [
      "getID",
      "getLanguages",
      "getTitle"
    ])
  },
  methods: {
    getRepresentativeLocaleOf: y
  },
  setup() {
    k();
    const e = c(), t = _();
    T({ route: e, hubUrl: t.api.hubUrl });
  }
}, R = ["data-cy"], I = { class: "container-fluid mb-5 pt-1 content dsd-content" }, O = { key: 1 };
function V(e, t, w, B, s, d) {
  const l = r("router-view"), m = r("dataset-details-navigation"), g = r("dataset-details-header");
  return o(), p("div", {
    class: "d-flex flex-column p-0 bg-transparent",
    "data-cy": d.getRepresentativeLocaleOf(e.getTitle, e.$route.query.locale, e.getLanguages) && `dataset@${d.getRepresentativeLocaleOf(e.getTitle, e.$route.query.locale, e.getLanguages)}`
  }, [
    n(l, { name: "test" }),
    t[3] || (t[3] = a()),
    s.topTitle ? (o(), u(m, {
      key: 0,
      "dataset-id": e.getID
    }, null, 8, ["dataset-id"])) : i("", !0),
    t[4] || (t[4] = a()),
    b("div", I, [
      n(g),
      t[0] || (t[0] = a()),
      s.topTitle ? i("", !0) : (o(), u(m, {
        key: 0,
        "dataset-id": e.getID
      }, null, 8, ["dataset-id"])),
      t[1] || (t[1] = a()),
      s.topTitle ? (o(), p("hr", O)) : i("", !0),
      t[2] || (t[2] = a()),
      n(l, { name: "datasetDetailsSubpages" })
    ])
  ], 8, R);
}
const J = /* @__PURE__ */ L(N, [["render", V], ["__scopeId", "data-v-77b019a6"]]);
export {
  J as default
};
//# sourceMappingURL=DatasetDetails.vue.mjs.map
