import { mapGetters as g, mapActions as u } from "vuex";
import { has as m } from "lodash-es";
import { getTranslationFor as h } from "../utils/helpers.mjs";
import f from "../widgets/AppLink.vue.mjs";
import "@unhead/vue";
import "merge-anything";
import "../configurations/config-schema/apiSchema.mjs";
import "../configurations/config-schema/authenticationSchema.mjs";
import "../configurations/config-schema/contentSchema.mjs";
import "../configurations/config-schema/routingSchema.mjs";
import "../configurations/config-schema/metadataSchema.mjs";
import "../configurations/config-schema/languagesSchema.mjs";
import "../configurations/config-schema/themesSchema.mjs";
import "../configurations/config-schema/trackerSchema.mjs";
import "../configurations/config-schema/configSchema.mjs";
import { resolveComponent as C, openBlock as o, createElementBlock as r, createElementVNode as s, toDisplayString as n, createTextVNode as d, Fragment as _, renderList as D, createBlock as $, withCtx as y, createCommentVNode as p } from "vue";
import "vue-router";
import "vue-i18n";
import { useDatasetCategoriesHead as k } from "../composables/head/useDatasetCategoriesHead.mjs";
import "./DatasetDetailsCategories.vue2.mjs";
import v from "../_virtual/_plugin-vue_export-helper.mjs";
const b = {
  name: "datasetDetailsCategories",
  components: {
    appLink: f
  },
  data() {
    return {};
  },
  computed: {
    ...g("datasetDetails", [
      "getID",
      "getCategories"
    ])
  },
  methods: {
    has: m,
    getTranslationFor: h,
    ...u("datasetDetails", [
      "loadDatasetDetails"
    ]),
    showCategory(t) {
      return m(t, "id");
    },
    getCategoryLink(t) {
      return { path: `/datasets?categories=${t.id.toUpperCase()}`, query: Object.assign({}, { locale: this.$route.query.locale }) };
    }
  },
  created() {
    this.$nextTick(() => {
      this.$route.params.ds_id !== this.getID && (this.$Progress.start(), this.loadDatasetDetails(this.$route.params.ds_id).then(() => {
        this.$Progress.finish();
      }).catch(() => {
        this.$Progress.fail(), this.$router.replace({
          name: "NotFound",
          query: { locale: this.$route.query.locale, dataset: this.$route.params.ds_id }
        });
      }));
    });
  },
  setup() {
    k();
  }
}, q = { class: "dsd-categories mt-3" }, I = { class: "row" }, L = { class: "col-10 offset-1" }, w = { class: "dsd-categories-items mt-4 mb-5" }, F = { key: 0 };
function N(t, e, T, B, P, a) {
  const l = C("app-link");
  return o(), r("div", q, [
    s("div", I, [
      s("div", L, [
        s("h2", null, n(t.$t("message.datasetDetails.subnav.categories")), 1),
        e[1] || (e[1] = d()),
        s("div", w, [
          (o(!0), r(_, null, D(t.getCategories, (i, c) => (o(), r("div", {
            key: c,
            class: "p-2 mt-3 border border-secondary"
          }, [
            a.showCategory(i) ? (o(), $(l, {
              key: 0,
              to: a.getCategoryLink(i)
            }, {
              default: y(() => [
                d(n(a.getTranslationFor(i.title, t.$route.query.locale)), 1)
              ]),
              _: 2
            }, 1032, ["to"])) : p("", !0)
          ]))), 128)),
          e[0] || (e[0] = d()),
          t.getCategories && t.getCategories.length === 0 ? (o(), r("div", F, [
            s("p", null, n(t.$t("message.datasetCategories.noCategories")), 1)
          ])) : p("", !0)
        ])
      ])
    ])
  ]);
}
const et = /* @__PURE__ */ v(b, [["render", N], ["__scopeId", "data-v-a7cfefdb"]]);
export {
  et as default
};
//# sourceMappingURL=DatasetDetailsCategories.vue.mjs.map
