import { has as m, isNil as w } from "lodash-es";
import { truncate as F } from "../../utils/helpers.mjs";
import g from "./distributionDetails/DistributionExpand.vue.mjs";
import h from "./distributionDetails/DistributionVisibleContent.vue.mjs";
import f from "./distributionDetails/DistributionExpandedContent.vue.mjs";
import U from "./distributionDetails/DistributionDescription.vue.mjs";
import p from "./DistributionFormat.vue.mjs";
import y from "./FadingDistributionOverlay.vue.mjs";
import E from "./distributionActions/DistributionActions.vue.mjs";
import x from "./DistributionAdded.vue.mjs";
import { resolveComponent as n, openBlock as u, createElementBlock as C, createElementVNode as a, createVNode as s, createTextVNode as o, renderSlot as I, createBlock as L, createCommentVNode as v } from "vue";
import "./Distribution.vue2.mjs";
import O from "../../_virtual/_plugin-vue_export-helper.mjs";
const V = {
  name: "Distribution",
  components: {
    DistributionAdded: x,
    DistributionActions: E,
    FadingDistributionOverlay: y,
    DistributionFormat: p,
    DistributionDescription: U,
    DistributionExpandedContent: f,
    DistributionVisibleContent: h,
    DistributionExpand: g
  },
  props: {
    fading: Boolean,
    distribution: Object,
    distributions: Object,
    setDistributionsDisplayCount: Function,
    openModal: Function,
    getDistributionFormat: Function,
    distributionFormatTruncated: Function,
    getDistributionTitle: Function,
    distributionVisibleContent: Array,
    distributionExpandedContent: Array,
    distributionDescriptionIsExpanded: Function,
    distributionDescriptionIsExpandable: Function,
    getDistributionDescription: Function,
    distributionIsExpanded: Function,
    showObject: Function,
    showNumber: Function,
    showDownloadDropdown: Function,
    showLicence: Function,
    showLicensingAssistant: Function,
    filterDateFormatEU: Function,
    showArray: Function,
    showObjectArray: Function,
    getVisualisationLink: Function,
    isOnlyOneUrl: Function,
    getDownloadUrl: Function,
    trackGoto: Function,
    showAccessUrls: Function,
    replaceHttp: Function,
    previewLinkCallback: Function,
    toggleDistribution: Function,
    toggleDistributionDescription: Function,
    increaseNumDisplayedDistributions: Function,
    nonOverflowingIncrementsForDistributions: Function,
    isUrlInvalid: Function,
    openIfValidUrl: Function,
    showTooltipVisualiseButton: Function,
    appendCurrentLocaleToURL: Function,
    embed: Boolean
  },
  computed: {
    updatedDate() {
      return this.has(this.distribution, "modificationDate") && !this.isNil(this.distribution.modificationDate) ? this.filterDateFormatEU(this.distribution.modificationDate) : this.filterDateFormatEU(this.distribution.releaseDate);
    }
  },
  methods: {
    has: m,
    isNil: w,
    truncate: F,
    selectForPreview() {
      const e = this.distribution.downloadUrls && this.distribution.downloadUrls.length ? this.distribution.downloadUrls[0] : this.distribution.accessUrl[0];
      this.$emit("selectForPreview", { title: this.getDistributionTitle(this.distribution), url: e, format: this.distribution.format.id.toLowerCase() });
    }
  }
}, _ = { class: "position-relative" }, k = { class: "mb-3 d-flex flex-row flex-wrap flex-md-nowrap distributions__item" }, A = { class: "actions-container" };
function T(e, t, i, N, j, r) {
  const d = n("distribution-format"), l = n("distribution-details"), b = n("distribution-added"), c = n("distribution-actions"), D = n("fading-distribution-overlay");
  return u(), C("div", _, [
    a("div", k, [
      s(d, {
        distribution: i.distribution,
        getDistributionFormat: i.getDistributionFormat,
        distributionFormatTruncated: i.distributionFormatTruncated,
        embed: i.embed
      }, null, 8, ["distribution", "getDistributionFormat", "distributionFormatTruncated", "embed"]),
      t[1] || (t[1] = o()),
      s(l, {
        getDistributionTitle: i.getDistributionTitle,
        distribution: i.distribution,
        distributions: i.distributions,
        distributionDescriptionIsExpanded: i.distributionDescriptionIsExpanded,
        getDistributionDescription: i.getDistributionDescription,
        toggleDistributionDescription: i.toggleDistributionDescription,
        distributionDescriptionIsExpandable: i.distributionDescriptionIsExpandable,
        distributionVisibleContent: i.distributionVisibleContent,
        distributionExpandedContent: i.distributionExpandedContent,
        distributionIsExpanded: i.distributionIsExpanded,
        showLicensingAssistant: i.showLicensingAssistant,
        showLicence: i.showLicence,
        filterDateFormatEU: i.filterDateFormatEU,
        showArray: i.showArray,
        showNumber: i.showNumber,
        showObject: i.showObject,
        showObjectArray: i.showObjectArray,
        appendCurrentLocaleToURL: i.appendCurrentLocaleToURL,
        toggleDistribution: i.toggleDistribution
      }, null, 8, ["getDistributionTitle", "distribution", "distributions", "distributionDescriptionIsExpanded", "getDistributionDescription", "toggleDistributionDescription", "distributionDescriptionIsExpandable", "distributionVisibleContent", "distributionExpandedContent", "distributionIsExpanded", "showLicensingAssistant", "showLicence", "filterDateFormatEU", "showArray", "showNumber", "showObject", "showObjectArray", "appendCurrentLocaleToURL", "toggleDistribution"]),
      t[2] || (t[2] = o()),
      s(b, { date: r.updatedDate }, null, 8, ["date"]),
      t[3] || (t[3] = o()),
      a("div", A, [
        s(c, {
          onDisplayVisualisation: r.selectForPreview,
          distribution: i.distribution,
          distributions: i.distributions,
          isUrlInvalid: i.isUrlInvalid,
          getVisualisationLink: i.getVisualisationLink,
          showTooltipVisualiseButton: i.showTooltipVisualiseButton,
          previewLinkCallback: i.previewLinkCallback,
          openIfValidUrl: i.openIfValidUrl,
          showDownloadDropdown: i.showDownloadDropdown,
          getDownloadUrl: i.getDownloadUrl,
          showAccessUrls: i.showAccessUrls,
          isOnlyOneUrl: i.isOnlyOneUrl,
          trackGoto: i.trackGoto,
          getDistributionFormat: i.getDistributionFormat,
          replaceHttp: i.replaceHttp
        }, null, 8, ["onDisplayVisualisation", "distribution", "distributions", "isUrlInvalid", "getVisualisationLink", "showTooltipVisualiseButton", "previewLinkCallback", "openIfValidUrl", "showDownloadDropdown", "getDownloadUrl", "showAccessUrls", "isOnlyOneUrl", "trackGoto", "getDistributionFormat", "replaceHttp"]),
        t[0] || (t[0] = o()),
        I(e.$slots, "additional-actions", {}, void 0, !0)
      ])
    ]),
    t[4] || (t[4] = o()),
    i.fading ? (u(), L(D, {
      key: 0,
      distributions: i.distributions,
      setDistributionsDisplayCount: i.setDistributionsDisplayCount,
      increaseNumDisplayedDistributions: i.increaseNumDisplayedDistributions,
      nonOverflowingIncrementsForDistributions: i.nonOverflowingIncrementsForDistributions
    }, null, 8, ["distributions", "setDistributionsDisplayCount", "increaseNumDisplayedDistributions", "nonOverflowingIncrementsForDistributions"])) : v("", !0)
  ]);
}
const X = /* @__PURE__ */ O(V, [["render", T], ["__scopeId", "data-v-fea4d228"]]);
export {
  X as default
};
//# sourceMappingURL=Distribution.vue.mjs.map
