import d from "../../../widgets/AppLink.vue.mjs";
import { has as l, isNil as o } from "lodash-es";
import { mapGetters as m } from "vuex";
import { openBlock as r, createElementBlock as c, withModifiers as g, normalizeClass as w, toDisplayString as f } from "vue";
import "./DistributionPreview.vue2.mjs";
import h from "../../../_virtual/_plugin-vue_export-helper.mjs";
const L = {
  name: "DistributionPreview",
  components: {
    AppLink: d
  },
  props: [
    "showTooltipVisualiseButton",
    "isUrlInvalid",
    "getVisualisationLink",
    "distribution",
    "openIfValidUrl",
    "previewLinkCallback"
  ],
  data() {
    var e, a, t;
    return {
      visualisationLinkFormats: [
        "csv",
        "xlsx",
        "xls"
      ],
      geoLinkFormats: {
        wms: "WMS",
        geojson: "GeoJSON",
        fiware_cb: "fiware_cb",
        "fiware-cb": "fiware_cb"
      },
      geoLink: (t = (a = (e = this.$env) == null ? void 0 : e.datasetDetails) == null ? void 0 : a.distributions) == null ? void 0 : t.geoLink
    };
  },
  computed: {
    ...m("datasetDetails", [
      "getCatalog",
      "getID"
    ]),
    getGeoLink() {
      var t;
      let a = this.distribution.format.label.toLowerCase();
      if (a = this.geoLinkFormats[a], this.geoLink) {
        const i = {
          catalog: this.getCatalog.id,
          dataset: this.getID,
          distribution: this.distribution.id,
          type: a,
          lang: this.$route.query.locale,
          accessUrl: (t = this.distribution) == null ? void 0 : t.accessUrl[0]
        };
        for (let s in i)
          this.geoLink = this.geoLink.replace(`{${s}}`, i[s]);
        return this.geoLink;
      }
      return `/geo-viewer/?catalog=${this.getCatalog.id}&dataset=${this.getID}&distribution=${this.distribution.id}&type=${a}&lang=${this.$route.query.locale}`;
    }
  },
  methods: {
    showOptionsDropdown(e) {
      return this.showVisualisationLink(e) || this.showGeoLink(e);
    },
    showGeoLink(e) {
      if (!l(e, "format.label") || o(e.format.label) || !l(e, "id") || o(e.id) || !l(e, "accessUrl[0]"))
        return !1;
      const a = e.format.label.toLowerCase();
      return Object.keys(this.geoLinkFormats).includes(a);
    },
    showVisualisationLink(e) {
      var t, i, s;
      if (!l(e, "format.label") || o((t = e == null ? void 0 : e.format) == null ? void 0 : t.label) || o(e == null ? void 0 : e.downloadUrls[0]) && o(e == null ? void 0 : e.accessUrl[0]))
        return !1;
      const a = (s = (i = e == null ? void 0 : e.format) == null ? void 0 : i.id) == null ? void 0 : s.toLowerCase();
      return a && this.visualisationLinkFormats.includes(a);
    }
  }
}, u = { class: "position-relative d-inline-block ml-1 mb-1" }, b = ["href"], p = ["href"], v = {
  key: 2,
  class: "d-flex justify-content-between btn btn-sm p-0 pl-2 pr-2 w-100 rounded-lg btn-color dropdown-button text-opacity-0"
};
function y(e, a, t, i, s, n) {
  return r(), c("div", u, [
    n.showVisualisationLink(t.distribution) ? (r(), c("a", {
      key: 0,
      onClick: a[0] || (a[0] = g((k) => t.openIfValidUrl(!t.isUrlInvalid(t.getVisualisationLink(t.distribution)), t.previewLinkCallback, t.distribution, k), ["prevent"])),
      class: w([{ disabled: t.isUrlInvalid(t.getVisualisationLink(t.distribution)) }, "d-flex justify-content-between btn btn-sm btn-primary p-0 pl-2 pr-2 w-100 rounded-lg btn-color dropdown-button"]),
      ref: "previewLink",
      href: t.getVisualisationLink(t.distribution),
      target: "_blank"
    }, f(e.$t("message.datasetDetails.preview")), 11, b)) : n.showGeoLink(t.distribution) ? (r(), c("a", {
      key: 1,
      onClick: a[1] || (a[1] = (k) => e.$emit("track-link", n.getGeoLink, "link")),
      href: n.getGeoLink,
      target: "_blank",
      class: "d-flex justify-content-between btn btn-sm btn-primary p-0 pl-2 pr-2 w-100 rounded-lg btn-color dropdown-button"
    }, f(e.$t("message.datasetDetails.preview")), 9, p)) : (r(), c("span", v, f(e.$t("message.datasetDetails.preview")), 1))
  ]);
}
const G = /* @__PURE__ */ h(L, [["render", y], ["__scopeId", "data-v-433861c9"]]);
export {
  G as default
};
//# sourceMappingURL=DistributionPreview.vue.mjs.map
