import { resolveComponent as g, openBlock as o, createElementBlock as s, createElementVNode as r, createVNode as d, createTextVNode as c, Fragment as C, renderList as h, withCtx as f, toDisplayString as D, createCommentVNode as w } from "vue";
import "./DatasetDetailsFeatureHeader.vue2.mjs";
import k from "../../_virtual/_plugin-vue_export-helper.mjs";
import { truncate as _, getTranslationFor as p } from "../../utils/helpers.mjs";
import { mapGetters as L } from "vuex";
import v from "../../widgets/AppLink.vue.mjs";
import { sortAlphabetically as A } from "./utils/sortAlphabetically.mjs";
import T from "jquery";
import "./DatasetDetailsCategoriesKey.vue2.mjs";
const b = {
  name: "DatasetDetailsCategoriesKey",
  components: {
    AppLink: v
    // DatasetDetailsFeatureHeader
  },
  props: {
    showCategory: Function
  },
  data() {
    return {
      defaultLocale: this.$env.languages.locale,
      defaultDisplayCount: 0,
      categories: {
        displayAll: this.$env.content.datasetDetails.categoriesKey.collapsed,
        displayCount: 24,
        // Should never exceed number of keywords
        incrementSteps: [12, 60]
      },
      maxCategoryLength: 15,
      followCategoryLinks: this.$env.content.datasets.followCategoryLinks
    };
  },
  computed: {
    ...L("datasetDetails", [
      "getCategories"
    ]),
    isCategoriesAllDisplayed() {
      return this.categories.displayAll;
    }
  },
  methods: {
    truncate: _,
    sortAlphabetically: A,
    // Increases the current number of keywords displayed
    // and clamps the result so that it never exceeds the number of all keywords.
    increaseNumDisplayedKeywords(e) {
      const t = this.clamp(this.categories.displayCount + e, 0, this.getCategories.length);
      this.categories.displayCount = t;
    },
    getTranslationFor: p,
    nonOverflowingIncrementsForKeywords(e) {
      return this.categories.displayCount + e <= this.getCategories.length;
    },
    categoryTruncated(e) {
      return p(e.title, this.defaultLocale).length > this.maxCategoryLength;
    },
    clamp(e, t, i) {
      return Math.min(Math.max(e, t), i);
    },
    getCategoryLink(e) {
      const t = e.id.toUpperCase();
      return {
        path: "/datasets",
        query: Object.assign({}, { categories: t, locale: this.$route.query.locale })
      };
    },
    toggleDisplayCount() {
      T("body").tooltip({ selector: '[data-toggle="tooltip"]' }), this.categories.displayCount < this.getCategories.length ? this.categories.displayCount = this.getCategories.length : this.categories.displayCount = this.defaultDisplayCount, this.categories.displayAll = !this.categories.displayAll;
    }
  }
}, x = { class: "mt-2 flex-column dsd-feature" }, F = {
  key: 0,
  class: "keywords__item row mt-4"
}, q = ["data-toggle", "data-placement", "aria-label", "title"];
function K(e, t, i, N, n, a) {
  const u = g("dataset-details-feature-header"), m = g("app-link");
  return o(), s("div", x, [
    r("div", null, [
      d(u, {
        title: `${e.$t("message.datasetDetails.subnav.categories")} (${e.getCategories ? e.getCategories.length.toLocaleString("fi") : 0})`,
        arrowDown: !a.isCategoriesAllDisplayed,
        tag: "keywords-toggle",
        onClick: a.toggleDisplayCount
      }, null, 8, ["title", "arrowDown", "onClick"])
    ]),
    t[0] || (t[0] = c()),
    a.isCategoriesAllDisplayed ? (o(), s("div", F, [
      (o(!0), s(C, null, h(e.getCategories, (l, y) => (o(), s("span", {
        key: y,
        class: "col-6 col-sm-3 col-md-2 mt-md-0 mt-3 mb-2 px-1"
      }, [
        d(m, {
          to: a.getCategoryLink(l),
          rel: n.followCategoryLinks
        }, {
          default: f(() => [
            r("small", {
              class: "d-inline-block text-nowrap w-100 py-2 rounded-pill text-center text-white tag-color",
              "data-toggle": a.categoryTruncated(l) ? "tooltip" : !1,
              "data-placement": a.categoryTruncated(l) ? "top" : !1,
              "aria-label": a.getTranslationFor(l.title, e.$route.query.locale),
              title: a.categoryTruncated(l) ? a.getTranslationFor(l.title, e.$route.query.locale) : !1
            }, D(a.truncate(a.getTranslationFor(l.title, e.$route.query.locale), n.maxCategoryLength, !1)), 9, q)
          ]),
          _: 2
        }, 1032, ["to", "rel"])
      ]))), 128))
    ])) : w("", !0),
    t[1] || (t[1] = c()),
    t[2] || (t[2] = r("div", null, null, -1))
  ]);
}
const G = /* @__PURE__ */ k(b, [["render", K], ["__scopeId", "data-v-f417a850"]]);
export {
  G as default
};
//# sourceMappingURL=DatasetDetailsCategoriesKey.vue.mjs.map
