import { truncate as D } from "../../utils/helpers.mjs";
import { has as C } from "lodash-es";
import { mapGetters as L } from "vuex";
import A from "../../widgets/Tooltip.vue.mjs";
import v from "../../widgets/AppLink.vue.mjs";
import { sortAlphabetically as E } from "./utils/sortAlphabetically.mjs";
import V from "jquery";
import { resolveComponent as c, openBlock as l, createElementBlock as o, createElementVNode as y, createVNode as r, createTextVNode as d, Fragment as f, renderList as j, withCtx as p, toDisplayString as g, createCommentVNode as m } from "vue";
import "./DatasetDetailsSubject.vue2.mjs";
import N from "../../_virtual/_plugin-vue_export-helper.mjs";
const T = {
  name: "DatasetDetailsSubject",
  components: { Tooltip: A, AppLink: v },
  data() {
    return {
      showTitle: this.$env.content.datasetDetails.keywords.showTitle,
      maxSubjectLength: this.$env.content.datasets.maxKeywordLength,
      defaultDisplayCount: 24,
      followSubjectLinks: this.$env.content.datasets.followSubjectLinks,
      expanded: !1,
      // Toggle state
      subject: {
        displayAll: !1,
        displayCount: 24,
        incrementSteps: [12, 60]
      }
    };
  },
  computed: {
    ...L("datasetDetails", ["getSubject"]),
    displayedSubjects() {
      return (this.subject.displayAll ? Object.freeze(this.sortedSubject) : Object.freeze(this.sortedSubject.slice(0, this.subject.displayCount))).filter((e) => e.title);
    },
    isSubjectAllDisplayed() {
      return this.subject.displayCount >= this.displayedSubjects.length;
    },
    sortedSubject() {
      let t = [];
      const e = this.$route.query.locale;
      return this.getSubject.forEach((a) => {
        C(a, "title") && a.title !== null && (typeof a.title == "object" && Object.keys(a.title).forEach((u) => {
          u !== e && delete a.title[u];
        }), t.push(a));
      }), this.sortAlphabetically(t, "title", e), t;
    }
  },
  methods: {
    truncate: D,
    sortAlphabetically: E,
    toggleDisplayCount() {
      V("body").tooltip({ selector: '[data-toggle="tooltip"]' }), this.subject.displayCount < this.getSubject.length ? this.subject.displayCount = this.getSubject.length : this.subject.displayCount = this.defaultDisplayCount, this.subject.displayAll = !this.subject.displayAll;
    },
    toggleExpanded() {
      this.expanded = !this.expanded;
    },
    getSubjectLink(t) {
      const e = t.id;
      return {
        path: "/datasets",
        query: {
          locale: this.$route.query.locale,
          subject: e
        }
      };
    }
  }
}, q = { class: "mt-2 flex-column dsd-feature" }, O = {
  key: 0,
  class: "keywords__item row mt-4"
}, z = {
  key: 0,
  class: "d-inline-block w-100 py-2 rounded-pill text-center text-white subject"
}, B = {
  key: 1,
  class: "d-inline-block w-100 py-2 rounded-pill text-center text-white subject"
}, F = { key: 1 };
function G(t, e, a, u, i, s) {
  const _ = c("dataset-details-feature-header"), h = c("tooltip"), S = c("app-link"), w = c("pv-show-more");
  return l(), o("div", q, [
    y("div", null, [
      r(_, {
        title: `EuroVoc Descriptors (${t.getSubject ? t.getSubject.length.toLocaleString("fi") : 0})`,
        arrowDown: !i.expanded,
        tag: "keywords-toggle",
        onClick: s.toggleExpanded,
        class: "ml-0"
      }, null, 8, ["title", "arrowDown", "onClick"])
    ]),
    e[0] || (e[0] = d()),
    i.expanded ? (l(), o("div", O, [
      (l(!0), o(f, null, j(s.displayedSubjects, (n, k) => (l(), o("span", {
        key: k,
        class: "col-6 col-sm-3 col-md-2 mt-md-0 mt-3 mb-2 mx-0 px-1"
      }, [
        r(S, {
          to: s.getSubjectLink(n)
        }, {
          default: p(() => [
            typeof n.title == "object" ? (l(), o("small", z, [
              (l(!0), o(f, null, j(n.title, (b, x) => (l(), o("span", { key: x }, [
                r(h, {
                  title: b,
                  "data-placement": "top"
                }, {
                  default: p(() => [
                    d(g(s.truncate(b, i.maxSubjectLength, !1)), 1)
                  ]),
                  _: 2
                }, 1032, ["title"])
              ]))), 128))
            ])) : typeof n.title == "string" ? (l(), o("small", B, [
              y("span", null, [
                r(h, {
                  title: n.title,
                  "data-placement": "top"
                }, {
                  default: p(() => [
                    d(g(s.truncate(n.title, i.maxSubjectLength, !1)), 1)
                  ]),
                  _: 2
                }, 1032, ["title"])
              ])
            ])) : m("", !0)
          ]),
          _: 2
        }, 1032, ["to"])
      ]))), 128))
    ])) : m("", !0),
    e[1] || (e[1] = d()),
    i.expanded && s.displayedSubjects.length > i.defaultDisplayCount ? (l(), o("div", F, [
      r(w, {
        label: s.isSubjectAllDisplayed ? t.$t("message.metadata.showLess") : t.$t("message.metadata.showMore"),
        upArrow: s.isSubjectAllDisplayed,
        action: s.toggleDisplayCount,
        class: "row text-primary"
      }, null, 8, ["label", "upArrow", "action"])
    ])) : m("", !0)
  ]);
}
const X = /* @__PURE__ */ N(T, [["render", G], ["__scopeId", "data-v-8353da3e"]]);
export {
  X as default
};
//# sourceMappingURL=DatasetDetailsSubject.vue.mjs.map
