import { defineAsyncComponent as l, resolveComponent as r, openBlock as p, createElementBlock as m, createElementVNode as o, createVNode as s, createTextVNode as e, withCtx as v, toDisplayString as u, normalizeClass as d, createCommentVNode as f, Fragment as A, renderList as N, createBlock as M } from "vue";
import { mapGetters as Q } from "vuex";
import y from "jquery";
import "@unhead/vue";
import "merge-anything";
import "../../configurations/config-schema/apiSchema.mjs";
import "../../configurations/config-schema/authenticationSchema.mjs";
import "../../configurations/config-schema/contentSchema.mjs";
import "../../configurations/config-schema/routingSchema.mjs";
import "../../configurations/config-schema/metadataSchema.mjs";
import "../../configurations/config-schema/languagesSchema.mjs";
import "../../configurations/config-schema/themesSchema.mjs";
import "../../configurations/config-schema/trackerSchema.mjs";
import "../../configurations/config-schema/configSchema.mjs";
import "vue-router";
import "vue-i18n";
import { getTranslationFor as C } from "../../utils/helpers.mjs";
import "lodash-es";
import { useDatasetDetailsNavigationLinksHead as T } from "../../composables/head/useDatasetDetailsNavigationLinksHead.mjs";
import "./DatasetDetailsNavigationLinks.vue2.mjs";
import S from "../../_virtual/_plugin-vue_export-helper.mjs";
const $ = {
  name: "DatasetDetailsNavigationLinks",
  props: {
    datasetId: {
      type: String,
      required: !0
    }
  },
  components: {
    AppLink: l(() => import("../../widgets/AppLink.vue.mjs")),
    DatasetCitationModal: l(() => import("../../citation/DatasetCitationModal.vue.mjs")),
    DatasetEmbedModal: l(() => import("../../embed/DatasetEmbedModal.vue.mjs")),
    DatasetDetailsFeedbackButton: l(() => import("../DatasetDetailsFeedbackButton.vue.mjs")),
    DatasetDetailsShareButton: l(() => import("../DatasetDetailsShareButton.vue.mjs")),
    DatasetDetailsLinkedMetricsButton: l(() => import("../DatasetDetailsLinkedMetricsButton.vue.mjs")),
    ResourceDetailsLinkedDataButton: l(() => import("../../widgets/ResourceDetailsLinkedDataButton.vue.mjs"))
  },
  data() {
    return {
      baseUrl: this.$env.api.baseUrl,
      useDQVDataDropdown: this.$env.content.datasetDetails.quality.useDQVDataDropdown,
      citationModalId: "citationModal",
      // Note: leave citationStyle empty so that the app does not try to load the citation
      // on navigation to the dataset details page in the background.
      citationStyle: "",
      availableCitationStyles: {
        deu: "EU Data Citation",
        apa: "APA",
        harvard1: "Harvard",
        vancouver: "Vancouver"
      }
    };
  },
  computed: {
    ...Q("datasetDetails", [
      "getTitle",
      "getLanguages",
      "getLoading",
      "getIsDQVDataRDFAvailable",
      "getIsDQVDataTTLAvailable",
      "getIsDQVDataN3Available",
      "getIsDQVDataNTAvailable",
      "getIsDQVDataJSONLDAvailable",
      "getID"
    ]),
    url() {
      return window.location.href;
    },
    showDQV() {
      return this.useDQVDataDropdown && this.$route.path.endsWith("quality");
    }
  },
  methods: {
    getTranslationFor: C,
    getFeedLink() {
      return `${this.baseUrl}${this.$route.query.locale}/feeds/datasets/${this.datasetId}.rss`;
    },
    async showCitationModal(a = "default") {
      this.citationStyle = a, await this.$nextTick(), y("#citationModal").modal({ show: !0 });
    },
    modal() {
      y("#citationModal").modal({ show: !0 });
    },
    openApiCall() {
      window.open(this.baseUrl + "datasets/" + this.getID, "_blank");
    }
  },
  mounted() {
  },
  setup() {
    T();
  }
}, _ = { class: "dsd-nav-links" }, F = { class: "menu m-0 list-inline list-unstyled navbar-nav" }, x = { class: "d-inline dropdown dsd-link-share" }, B = ["title"], q = {
  class: "dropdown-menu",
  "aria-labelledby": "shareDatasetDropdownMenuLink"
}, O = {
  key: 0,
  class: "d-inline dropdown dsd-link-cite"
}, R = { class: "d-inline dropdown dsd-link-cite" }, J = ["title"], U = {
  class: "dropdown-menu dropdown-menu-right",
  "aria-labelledby": "citationDropdown"
}, E = ["disabled", "onClick"], H = ["data-cy"], P = { class: "d-inline dropdown dsd-link-linked-data" }, j = ["title"], z = {
  class: "dropdown-menu",
  "aria-labelledby": "linkedDataDropdownMenuLink"
}, X = {
  key: 1,
  class: "d-inline dropdown dsd-link-cite"
}, G = {
  type: "button",
  "data-toggle": "modal",
  "data-target": "#embedModal",
  class: "nav-item nav-link text-nowrap bg-none border-0",
  fragment: "#",
  role: "button",
  id: "",
  style: { background: "none" }
}, W = {
  title: "Copy link to embed the dataset in other pages",
  "data-toggle": "tooltip",
  "data-placement": "top"
}, K = {
  key: 2,
  class: "d-inline dropdown dsd-link-dqv"
}, Y = ["title"], Z = {
  class: "dropdown-menu dropdown-menu-right",
  "aria-labelledby": "metaDataDropdownMenuLink"
}, tt = { class: "d-inline dsd-link-feed" }, at = ["title"];
function et(a, t, i, ot, k, n) {
  const L = r("dataset-details-feedback-button"), D = r("app-link"), c = r("dataset-details-share-button"), g = r("resource-details-linked-data-button"), b = r("dataset-details-linked-metrics-button"), h = r("dataset-citation-modal"), V = r("dataset-embed-modal");
  return p(), m("nav", _, [
    o("ul", F, [
      s(L),
      t[16] || (t[16] = e()),
      o("div", x, [
        s(D, {
          class: "nav-item nav-link dropdown-toggle text-nowrap",
          fragment: "#",
          role: "button",
          id: "shareDatasetDropdownMenuLink",
          "data-toggle": "dropdown",
          "aria-haspopup": "true",
          "aria-expanded": "false"
        }, {
          default: v(() => [
            o("span", {
              title: a.$t("message.tooltip.datasetDetails.share"),
              "data-toggle": "tooltip",
              "data-placement": "top"
            }, u(a.$t("message.datasetDetails.share")), 9, B)
          ]),
          _: 1
        }),
        t[3] || (t[3] = e()),
        o("div", q, [
          s(c, {
            class: "dropdown-item",
            to: `https://www.facebook.com/sharer.php?u=${n.url}`,
            icon: { prefix: "fab", iconName: "facebook-f" }
          }, null, 8, ["to"]),
          t[1] || (t[1] = e()),
          s(c, {
            class: "dropdown-item",
            to: `https://twitter.com/intent/tweet?url=${n.url}`,
            icon: { prefix: "fab", iconName: "twitter" }
          }, null, 8, ["to"]),
          t[2] || (t[2] = e()),
          s(c, {
            class: "dropdown-item",
            to: `https://www.linkedin.com/shareArticle?mini=true&url=${n.url}`,
            icon: { prefix: "fab", iconName: "linkedin-in" }
          }, null, 8, ["to"])
        ])
      ]),
      t[17] || (t[17] = e()),
      this.$env.content.datasetDetails.embed.enable ? (p(), m("div", O, [
        o("button", {
          onClick: t[0] || (t[0] = (I) => n.openApiCall()),
          class: d(["nav-item nav-link text-nowrap api-button", {
            disabled: a.getLoading
          }]),
          fragment: "#",
          role: "button",
          id: "citationDropdown",
          "data-toggle": "dropdown",
          "aria-haspopup": "true",
          "aria-expanded": "false",
          "data-cy": "citation-dropdown-expand"
        }, t[4] || (t[4] = [
          o("span", {
            class: "api-link",
            title: "Open API request of this Dataset.",
            "data-toggle": "tooltip",
            "data-placement": "top"
          }, [
            e(` 
            API 
            `),
            o("svg", {
              xmlns: "http://www.w3.org/2000/svg",
              width: "12",
              height: "12",
              fill: "currentColor",
              class: "bi bi-box-arrow-up-right",
              viewBox: "0 0 16 16"
            }, [
              o("path", {
                "fill-rule": "evenodd",
                d: "M8.636 3.5a.5.5 0 0 0-.5-.5H1.5A1.5 1.5 0 0 0 0 4.5v10A1.5 1.5 0 0 0 1.5 16h10a1.5 1.5 0 0 0 1.5-1.5V7.864a.5.5 0 0 0-1 0V14.5a.5.5 0 0 1-.5.5h-10a.5.5 0 0 1-.5-.5v-10a.5.5 0 0 1 .5-.5h6.636a.5.5 0 0 0 .5-.5"
              }),
              e(),
              o("path", {
                "fill-rule": "evenodd",
                d: "M16 .5a.5.5 0 0 0-.5-.5h-5a.5.5 0 0 0 0 1h3.793L6.146 9.146a.5.5 0 1 0 .708.708L15 1.707V5.5a.5.5 0 0 0 1 0z"
              })
            ])
          ], -1)
        ]), 2)
      ])) : f("", !0),
      t[18] || (t[18] = e()),
      o("div", R, [
        s(D, {
          class: d(["nav-item nav-link dropdown-toggle text-nowrap", {
            disabled: a.getLoading
          }]),
          fragment: "#",
          role: "button",
          id: "citationDropdown",
          "data-toggle": "dropdown",
          "aria-haspopup": "true",
          "aria-expanded": "false",
          "data-cy": "citation-dropdown-expand"
        }, {
          default: v(() => [
            o("span", {
              title: a.$t("message.tooltip.datasetDetails.cite"),
              "data-toggle": "tooltip",
              "data-placement": "top"
            }, u(a.$t("message.datasetDetails.cite")), 9, J)
          ]),
          _: 1
        }, 8, ["class"]),
        t[5] || (t[5] = e()),
        o("div", U, [
          (p(!0), m(A, null, N(k.availableCitationStyles, (I, w) => (p(), m("button", {
            class: "dropdown-item",
            type: "button",
            key: w,
            disabled: a.getLoading,
            onClick: (st) => n.showCitationModal(w)
          }, [
            o("div", {
              "data-cy": `citation-dropdown-item@${w}`
            }, u(a.$te(`message.datasetDetails.citationStyle.${w}`) ? a.$t(`message.datasetDetails.citationStyle.${w}`) : I), 9, H)
          ], 8, E))), 128))
        ])
      ]),
      t[19] || (t[19] = e()),
      o("div", P, [
        s(D, {
          class: "nav-item nav-link dropdown-toggle text-nowrap",
          fragment: "#",
          role: "button",
          id: "linkedDataDropdownMenuLink",
          "data-toggle": "dropdown",
          "aria-haspopup": "true",
          "aria-expanded": "false"
        }, {
          default: v(() => [
            o("span", {
              title: a.$t("message.tooltip.datasetDetails.linkedData"),
              "data-toggle": "tooltip",
              "data-placement": "top"
            }, u(a.$t("message.metadata.linkedData")), 9, j)
          ]),
          _: 1
        }),
        t[10] || (t[10] = e()),
        o("div", z, [
          s(g, {
            class: "dropdown-item",
            format: "rdf",
            text: "RDF/XML",
            resources: "datasets",
            "resources-id": i.datasetId
          }, null, 8, ["resources-id"]),
          t[6] || (t[6] = e()),
          s(g, {
            class: "dropdown-item",
            format: "ttl",
            text: "Turtle",
            resources: "datasets",
            "resources-id": i.datasetId
          }, null, 8, ["resources-id"]),
          t[7] || (t[7] = e()),
          s(g, {
            class: "dropdown-item",
            format: "n3",
            text: "Notation3",
            resources: "datasets",
            "resources-id": i.datasetId
          }, null, 8, ["resources-id"]),
          t[8] || (t[8] = e()),
          s(g, {
            class: "dropdown-item",
            format: "nt",
            text: "N-Triples",
            resources: "datasets",
            "resources-id": i.datasetId
          }, null, 8, ["resources-id"]),
          t[9] || (t[9] = e()),
          s(g, {
            class: "dropdown-item",
            format: "jsonld",
            text: "JSON-LD",
            resources: "datasets",
            "resources-id": i.datasetId
          }, null, 8, ["resources-id"])
        ])
      ]),
      t[20] || (t[20] = e()),
      this.$env.content.datasetDetails.embed.enable ? (p(), m("div", X, [
        o("button", G, [
          o("span", W, u(a.$t("message.datasetDetails.datasets.modal.embed")), 1)
        ])
      ])) : f("", !0),
      t[21] || (t[21] = e()),
      n.showDQV ? (p(), m("div", K, [
        s(D, {
          class: d(["nav-item nav-link dropdown-toggle text-nowrap", { disabled: !(a.getIsDQVDataRDFAvailable || a.getIsDQVDataTTLAvailable || a.getIsDQVDataN3Available || a.getIsDQVDataNTAvailable || a.getIsDQVDataJSONLDAvailable) }]),
          fragment: "#",
          role: "button",
          id: "metaDataDropdownMenuLink",
          "data-toggle": "dropdown",
          "aria-haspopup": "true",
          "aria-expanded": "false"
        }, {
          default: v(() => [
            o("span", {
              title: a.$t("message.tooltip.datasetDetails.dqvData"),
              "data-toggle": "tooltip",
              "data-placement": "top"
            }, `
                     DQV Data
              `, 8, Y)
          ]),
          _: 1
        }, 8, ["class"]),
        t[15] || (t[15] = e()),
        o("div", Z, [
          s(b, {
            class: d(["dropdown-item", { disabled: !a.getIsDQVDataRDFAvailable }]),
            format: "rdf",
            text: "RDF/XML",
            "dataset-id": i.datasetId
          }, null, 8, ["class", "dataset-id"]),
          t[11] || (t[11] = e()),
          s(b, {
            class: d(["dropdown-item", { disabled: !a.getIsDQVDataTTLAvailable }]),
            format: "ttl",
            text: "Turtle",
            "dataset-id": i.datasetId
          }, null, 8, ["class", "dataset-id"]),
          t[12] || (t[12] = e()),
          s(b, {
            class: d(["dropdown-item", { disabled: !a.getIsDQVDataN3Available }]),
            format: "n3",
            text: "Notation3",
            "dataset-id": i.datasetId
          }, null, 8, ["class", "dataset-id"]),
          t[13] || (t[13] = e()),
          s(b, {
            class: d(["dropdown-item", { disabled: !a.getIsDQVDataNTAvailable }]),
            format: "nt",
            text: "N-Triples",
            "dataset-id": i.datasetId
          }, null, 8, ["class", "dataset-id"]),
          t[14] || (t[14] = e()),
          s(b, {
            class: d(["dropdown-item", { disabled: !a.getIsDQVDataJSONLDAvailable }]),
            format: "jsonld",
            text: "JSON-LD",
            "dataset-id": i.datasetId
          }, null, 8, ["class", "dataset-id"])
        ])
      ])) : f("", !0),
      t[22] || (t[22] = e()),
      o("div", tt, [
        s(D, {
          class: "nav-item nav-link text-nowrap",
          to: n.getFeedLink(),
          target: "_blank",
          "matomo-track-page-view": "",
          role: "button"
        }, {
          default: v(() => [
            o("span", {
              title: a.$t("message.tooltip.datasetDetails.datasetFeed"),
              "data-toggle": "tooltip",
              "data-placement": "top"
            }, u(a.$t("message.datasetDetails.datasetFeed")), 9, at)
          ]),
          _: 1
        }, 8, ["to"])
      ]),
      t[23] || (t[23] = e()),
      t[24] || (t[24] = o("hr", null, null, -1))
    ]),
    t[25] || (t[25] = e()),
    !a.getLoading && a.getID ? (p(), M(h, {
      key: 0,
      "modal-id": k.citationModalId,
      "citation-style": k.citationStyle,
      "available-citation-styles": k.availableCitationStyles
    }, null, 8, ["modal-id", "citation-style", "available-citation-styles"])) : f("", !0),
    t[26] || (t[26] = e()),
    s(V)
  ]);
}
const At = /* @__PURE__ */ S($, [["render", et], ["__scopeId", "data-v-e9bd44c3"]]);
export {
  At as default
};
//# sourceMappingURL=DatasetDetailsNavigationLinks.vue.mjs.map
