import { mapGetters as V } from "vuex";
import k from "./DatasetDetailsProperty.vue.mjs";
import { dcatSchema as P, dcatDeSchema as F, dcatFields as E, dcatDeFields as I } from "./specification.mjs";
import { resolveComponent as p, openBlock as o, createElementBlock as b, createElementVNode as d, renderSlot as l, createVNode as T, createTextVNode as a, withDirectives as D, Fragment as A, renderList as C, createBlock as H, vShow as v, createCommentVNode as M } from "vue";
import "./DatasetDetailsProperties.vue2.mjs";
import N from "../../_virtual/_plugin-vue_export-helper.mjs";
const $ = {
  name: "DatasetDetailsProperties",
  components: {
    DatasetDetailsProperty: k
  },
  data() {
    return {
      infoVisible: !0,
      initialHeight: 0,
      restrictedHeight: 100,
      expanded: !1
    };
  },
  computed: {
    ...V("datasetDetails", [
      "getDatasetDescriptionHeight"
    ]),
    fieldSchema() {
      return Object.assign(P(this.i18n.global.t), F());
    },
    propertyFields() {
      var t, n;
      let e = (n = (t = this.$env.content) == null ? void 0 : t.datasetDetails) == null ? void 0 : n.properties;
      return (!e || e === "") && (e = E, this.$env.content.dataProviderInterface.specification === "dcatapde" && (e += "," + I)), e;
    },
    fieldsArray() {
      return this.propertyFields.split(",").map((e) => e.trim());
    },
    showMoreVisible() {
      return this.initialHeight > this.restrictedHeight;
    }
  },
  methods: {
    toggleInfo() {
      this.infoVisible = !this.infoVisible;
    },
    toggleExpanded() {
      this.expanded = !this.expanded, this.adaptHeight();
    },
    adaptHeight() {
      this.$refs.dsdProperties.style.flex = this.expanded ? "0 0 100%" : `0 0 ${this.restrictedHeight}px`, this.$refs.dsdProperties.style["max-height"] = this.expanded ? "100%" : `${this.restrictedHeight}px`;
    }
  },
  mounted() {
    this.initialHeight = this.$refs.dsdProperties.clientHeight, this.$refs.overlay.style.bottom = this.$refs.dsdProperties.offsetHeight - this.$refs.dsdProperties.clientHeight + "px", this.getDatasetDescriptionHeight >= this.initialHeight ? (this.restrictedHeight = this.getDatasetDescriptionHeight, this.toggleExpanded()) : this.getDatasetDescriptionHeight >= this.restrictedHeight && this.getDatasetDescriptionHeight <= this.initialHeight && (this.restrictedHeight = this.getDatasetDescriptionHeight), this.adaptHeight();
  }
}, B = { class: "mt-5 dsd-properties" }, L = { class: "col-12 mb-2 p-0 dsd-properties-list" }, j = {
  class: "position-relative dsd-item additional-information",
  "data-cy": "additional-information"
}, G = {
  class: "table table-borderless table-responsive",
  ref: "dsdProperties",
  role: "tablist",
  id: "myTab"
}, O = {
  class: "additional-information-overlay",
  ref: "overlay"
};
function q(e, t, n, z, r, i) {
  const w = p("dataset-details-feature-header"), _ = p("dataset-details-property"), x = p("pv-show-more");
  return o(), b("div", B, [
    d("div", L, [
      l(e.$slots, "property-header", {}, () => [
        T(w, {
          title: e.$t("message.datasetDetails.additionalInfo"),
          arrowDown: !r.infoVisible,
          tag: "additional-information-toggle",
          onClick: i.toggleInfo
        }, null, 8, ["title", "arrowDown", "onClick"])
      ], !0),
      t[3] || (t[3] = a()),
      D(d("div", j, [
        l(e.$slots, "property-table-before", {}, void 0, !0),
        t[0] || (t[0] = a()),
        l(e.$slots, "property-table", {}, () => [
          d("table", G, [
            (o(!0), b(A, null, C(i.fieldsArray, (s, S) => {
              var h, f, m, c, g, u, y;
              return o(), H(_, {
                name: s,
                translate: (h = i.fieldSchema[s]) == null ? void 0 : h.translate,
                type: (f = i.fieldSchema[s]) == null ? void 0 : f.type,
                propertyFields: (m = i.fieldSchema[s]) == null ? void 0 : m.fields,
                track: (c = i.fieldSchema[s]) == null ? void 0 : c.track,
                itemstyles: (g = i.fieldSchema[s]) == null ? void 0 : g.itemstyles,
                preTransform: (u = i.fieldSchema[s]) == null ? void 0 : u.preTransform,
                transform: (y = i.fieldSchema[s]) == null ? void 0 : y.transform,
                key: S
              }, null, 8, ["name", "translate", "type", "propertyFields", "track", "itemstyles", "preTransform", "transform"]);
            }), 128))
          ], 512)
        ], !0),
        t[1] || (t[1] = a()),
        D(d("div", O, null, 512), [
          [v, i.showMoreVisible && !r.expanded]
        ]),
        t[2] || (t[2] = a()),
        l(e.$slots, "property-table-after", {}, void 0, !0)
      ], 512), [
        [v, r.infoVisible]
      ])
    ]),
    t[4] || (t[4] = a()),
    i.showMoreVisible ? (o(), H(x, {
      key: 0,
      label: r.expanded ? e.$t("message.metadata.showLess") : e.$t("message.metadata.showMore"),
      upArrow: r.expanded,
      action: i.toggleExpanded,
      class: "row text-primary"
    }, null, 8, ["label", "upArrow", "action"])) : M("", !0)
  ]);
}
const X = /* @__PURE__ */ N($, [["render", q], ["__scopeId", "data-v-cf81b192"]]);
export {
  X as default
};
//# sourceMappingURL=DatasetDetailsProperties.vue.mjs.map
