import b from "../../widgets/AppLink.vue.mjs";
import { truncate as _, removeMailtoOrTel as h } from "../../utils/helpers.mjs";
import L from "../../filters/dateFilters.mjs";
import { resolveComponent as C, openBlock as a, createElementBlock as r, Fragment as c, renderList as k, normalizeStyle as V, normalizeClass as m, createElementVNode as f, toDisplayString as o, createTextVNode as y, createBlock as x, withCtx as w } from "vue";
import "./ValuesList.vue2.mjs";
import T from "../../_virtual/_plugin-vue_export-helper.mjs";
const v = {
  name: "ValuesList",
  props: {
    values: Array,
    // Expected format: array of objects with "key" and "value" field, where
    // "key" is a string and "value" is an array of strings (a single value
    // is represented by n array of length 1). Additionally, a "type" field
    // and a translation field may be included. If type is "link" we display
    // a link, if translation is given, it is used for the i18n value for the label.
    // Special cases of translation: in single quotes, use the literal string instead
    // of a i18n translation; if starting with a slash, use the value as an i18n key
    // literally, instead of appending it to "message.metadata."
    track: Array,
    itemstyles: String,
    interpretTranslateKey: Function
  },
  components: {
    AppLink: b
  },
  methods: {
    truncate: _,
    removeMailtoOrTel: h,
    getLabel(t) {
      const e = "message.metadata";
      return typeof t.translation == "string" ? this.interpretTranslateKey(t.translation, e) : `${this.i18n.global.t(`${e}.${t.key}`)}:`;
    },
    isLink(t) {
      var p;
      const e = t.key.toLowerCase(), n = (p = t.type) == null ? void 0 : p.toLowerCase();
      return ["homepage"].includes(e) || n === "link" || n === "link_blank";
    },
    displayValue(t, e) {
      switch (e) {
        case "date":
          return L.formatEU(t);
        default:
          return typeof t == "string" ? _(t, 75) : t;
      }
    },
    handleClick(t, e) {
      const n = e.key.toLowerCase();
      this.track && this.track.includes(n) && this.$emit("track-link", t, "link");
    }
  }
}, A = { class: "dsd-properties-inner-label" }, B = { class: "dsd-properties-inner-label" }, E = ["href", "target", "onClick"], F = { class: "dsd-properties-inner-label" };
function S(t, e, n, p, z, s) {
  const g = C("app-link");
  return a(), r("div", null, [
    (a(!0), r(c, null, k(n.values, (l, d) => (a(), r("div", {
      key: d,
      style: V(n.itemstyles)
    }, [
      l.key === "email" ? (a(), r("div", {
        key: 0,
        class: m({ "mb-1": d < n.values.length })
      }, [
        f("span", A, o(s.getLabel(l)), 1),
        e[0] || (e[0] = y()),
        (a(!0), r(c, null, k(l.value, (i, u) => (a(), x(g, {
          key: u,
          to: `mailto:${s.removeMailtoOrTel(i)}`
        }, {
          default: w(() => [
            y(o(s.displayValue(i, l.type)), 1)
          ]),
          _: 2
        }, 1032, ["to"]))), 128))
      ], 2)) : s.isLink(l) ? (a(), r("div", {
        key: 1,
        class: m({ "mb-1": d < n.values.length })
      }, [
        f("span", B, o(s.getLabel(l)), 1),
        e[1] || (e[1] = y()),
        (a(!0), r(c, null, k(l.value, (i, u) => (a(), r("a", {
          key: u,
          href: i,
          target: l.type === "link_blank" ? "_blank" : void 0,
          onClick: (K) => s.handleClick(i, l)
        }, o(s.displayValue(i, l.type)), 9, E))), 128))
      ], 2)) : (a(), r("div", {
        key: 2,
        class: m({ "mb-1": d < n.values.length })
      }, [
        f("span", F, o(s.getLabel(l)), 1),
        e[2] || (e[2] = y()),
        (a(!0), r(c, null, k(l.value, (i, u) => (a(), r("span", { key: u }, o(s.displayValue(i, l.type)), 1))), 128))
      ], 2))
    ], 4))), 128))
  ]);
}
const j = /* @__PURE__ */ T(v, [["render", S], ["__scopeId", "data-v-8bc109a7"]]);
export {
  j as default
};
//# sourceMappingURL=ValuesList.vue.mjs.map
