const a = `releaseDate,modificationDate,creator,landingPages,sources,
    languages,publisher,contactPoints,catalogRecord,spatial,
    spatialResource,conformsTo,provenances,identifiers,otherIdentifiers,resource,
    frequency,accessRights,accrualPeriodicity,hasVersion,isVersionOf,
    temporal,versionInfo,versionNotes,attributes,dimensions,numSeries,hasQualityAnnotations,
    statUnitMeasures,isReferencedBy,qualifiedAttributions,wasGeneratedBy,
    qualifiedRelations,sample,spatialResolutionInMeters,type,temporalResolution`, i = `politicalGeocodingLevelURI,politicalGeocodingURI,availability,
    contributorID,geocodingDescriptionDe,legalBasis,qualityProcessURI,typeDe,
    references,contributor,originator,maintainer`, s = (e) => ({
  releaseDate: { type: "date", translate: "created" },
  modificationDate: { type: "date", translate: "updated" },
  landingPages: { type: "links", translate: "landingPage" },
  sources: { type: "links", translate: ",sources" },
  languages: { type: "links", translate: "language,languages" },
  publisher: { type: "object", fields: "name,email,homepage" },
  contactPoints: { type: "objects", translate: "/message.tooltip.contactPoints,contactPoints", fields: "name::/message.metadata.name,organisation_name::/message.datasetDetails.contactPoints.organizationName, email,telephone,address,url:link" },
  catalogRecord: { type: "object", translate: "/message.tooltip.catalogRecord,catalogRecord", fields: "issued:date:addedToDataEuropaEU,modified:date:updatedOnDataEuropaEU,homepage" },
  spatial: { type: "objects", fields: "coordinates,type" },
  spatialResource: { type: "objects", translate: ",spatialResource", fields: "resource:link" },
  conformsTo: { type: "objects", fields: "title::label,label,resource:link_blank", track: "resource" },
  provenances: { type: "objects", translate: "provenance,provenances", fields: "label,resource:link" },
  // relatedResources: {type: 'links', translate: 'relatedResource,relatedResources'},
  identifiers: { type: "links", translate: "identifier,identifiers" },
  otherIdentifiers: { type: "objects", translate: "otherIdentifier,otherIdentifiers", fields: "identifier:link,resource:link:identifier,scheme:link" },
  resource: { type: "uri", translate: ",'uriRef:'" },
  frequency: { type: "object", fields: "title,resource:link" },
  accessRights: { type: "object", translate: "/message.tooltip.datasetDetails.distributions.rights,accessRights", fields: "label::" },
  accrualPeriodicity: { type: "object", translate: "frequency,accrualPeriodicity", fields: "label::" },
  creator: { type: "object", fields: "name,email,homepage" },
  hasVersion: { type: "links" },
  isVersionOf: { type: "links", translate: "versionOf,isVersionOf" },
  temporal: { type: "objects", translate: "/message.tooltip.datasetDetails.distributions.temporalResolution,temporal", fields: "gte:date:,lte:date:' -'", itemstyles: "float:left" },
  versionInfo: { type: "string" },
  versionNotes: { type: "translation" },
  attributes: { type: "links", translate: ",attributes" },
  dimensions: { type: "links", translate: ",dimensions" },
  numSeries: { type: "number" },
  hasQualityAnnotations: { type: "links", translate: ",qualityAnnotations" },
  statUnitMeasures: { type: "links", translate: "unitsOfMeasurement" },
  isReferencedBy: { type: "links" },
  qualifiedAttributions: { type: "links", translate: "qualifiedAttribution" },
  wasGeneratedBy: { type: "links" },
  qualifiedRelations: { type: "objects", translate: "qualifiedRelation", fields: "relation:link,had_role:link:role" },
  sample: { type: "links" },
  spatialResolutionInMeters: {
    type: "number",
    translate: "spatialResolutionInMeters,spatialResolutionInMeters.label",
    transform: (t) => e("message.metadata.spatialResolutionInMeters.value", { number: t })
  },
  type: { type: "object", fields: "label,resource:link" },
  temporalResolution: { type: "string" }
}), n = () => ({
  politicalGeocodingLevelURI: { type: "objects", fields: "label,resource:link" },
  politicalGeocodingURI: { type: "objects", fields: "label,resource:link" },
  availability: { type: "object", translate: "availabilityDE,availability", fields: "label,resource:link" },
  contributorID: { type: "objects", fields: "label,resource:link" },
  geocodingDescriptionDe: { type: "translation" },
  legalBasis: { type: "translation" },
  qualityProcessURI: { type: "uri" },
  typeDe: { type: "string", translate: "type,type" },
  references: { type: "uri" },
  contributor: { type: "objects", fields: "name,type,homepage,email,resource" },
  originator: { type: "objects", fields: "name,type,homepage,email,resource" },
  maintainer: { type: "objects", fields: "name,type,homepage,email,resource" }
});
export {
  i as dcatDeFields,
  n as dcatDeSchema,
  a as dcatFields,
  s as dcatSchema
};
//# sourceMappingURL=specification.mjs.map
