import { defineComponent as c, resolveComponent as $, openBlock as r, createElementBlock as i, createElementVNode as s, createVNode as g, withCtx as u, createTextVNode as o, toDisplayString as a, createBlock as b, createCommentVNode as m, normalizeClass as p } from "vue";
import { mapActions as f } from "vuex";
import "./DatasetsFiltersTabs.vue2.mjs";
import h from "../_virtual/_plugin-vue_export-helper.mjs";
const v = c({
  name: "DatasetsFiltersTabs",
  props: {
    useSort: {
      type: Boolean,
      default: !0
    },
    useCatalogs: {
      type: Boolean,
      default: !0
    },
    locale: {
      type: String,
      default: ""
    }
  },
  data() {
    return {
      query: "",
      autocompleteData: {
        suggestions: {},
        show: !0
      },
      sortSelected: "",
      sortSelectedLabel: this.$t("message.sort.relevance")
    };
  },
  watch: {
    sortSelected: {
      handler(e) {
        this.$router.replace({ query: Object.assign({}, this.$route.query, { sort: e }) }).catch((t) => {
          console.error(t);
        }), this.setSort(e);
      },
      deep: !0
    }
  },
  created() {
    this.initQuery(), this.$nextTick(() => {
      this.initSort();
    });
  },
  methods: {
    ...f("datasets", [
      "setQuery",
      "setSort"
    ]),
    /**
     * @description Initialize the query String by checking the route parameters
     */
    initQuery() {
      let e = this.$route.query.query;
      e ? (this.query = e, this.setQuery(e)) : (e = "", this.setQuery(""));
    },
    initSort() {
      let e = this.$route.query.sort;
      e ? (e = e.split(",")[0].toLowerCase(), e.includes("title") ? e.includes("desc") ? (this.sortSelectedLabel = this.$t("message.sort.nameZA"), this.setSortMethod(`title.${this.$route.query.locale}`, "desc", this.$t("message.sort.nameZA"))) : (this.sortSelectedLabel = this.$t("message.sort.nameAZ"), this.setSortMethod(`title.${this.$route.query.locale}`, "asc", this.$t("message.sort.nameAZ"))) : (e === "relevance+desc" && (this.sortSelectedLabel = this.$t("message.sort.relevance"), this.setSortMethod("relevance", "desc", this.$t("message.sort.relevance"))), e === "modified+desc" && (this.sortSelectedLabel = this.$t("message.sort.lastUpdated"), this.setSortMethod("modified", "desc", this.$t("message.sort.lastUpdated"))), e === "issued+desc" && (this.sortSelectedLabel = this.$t("message.sort.lastCreated"), this.setSortMethod("issued", "desc", this.$t("message.sort.lastCreated"))))) : this.setSort(`relevance+desc, modified+desc, title.${this.$route.query.locale}+asc`);
    },
    setSortMethod(e, t, n) {
      return this.sortSelectedLabel = n, e === "relevance" && (this.sortSelected = `${e}+${t}, modified+desc, title.${this.$route.query.locale}+asc`), e === "modified" && (this.sortSelected = `${e}+${t}, relevance+desc, title.${this.$route.query.locale}+asc`), e === `title.${this.$route.query.locale}` && (this.sortSelected = `${e}+${t}, relevance+desc, modified+desc`), e === "issued" && (this.sortSelected = `${e}+${t}, relevance+desc, title.${this.$route.query.locale}+asc`), this.sortSelected;
    },
    isSortSelectedLabelActive(e) {
      return e === this.sortSelectedLabel;
    },
    isSortSelectedLabelInDropdown() {
      return this.sortSelectedLabel === this.$t("message.sort.nameAZ") || this.sortSelectedLabel === this.$t("message.sort.nameZA") || this.sortSelectedLabel === this.$t("message.sort.lastCreated");
    }
  }
}), S = {
  class: "mt-3 d-flex justify-content-between flex-wrap-reverse nav nav-tabs",
  id: "datasets-filters-tab",
  role: "tablist"
}, y = { class: "datasets-filters-navigation d-flex cursor-pointer" }, w = ["title"], q = ["title"], k = {
  class: "nav-item mb-0",
  role: "tab"
}, C = ["href", "title"], L = {
  key: 0,
  class: "datasets-filters-filters btn-group border-1 mb-1 double-button",
  role: "group",
  "aria-label": "Button group with nested dropdown"
}, A = ["title"], M = ["title"], D = {
  class: "btn-group",
  role: "group"
}, Z = {
  key: 0,
  class: "active-styles d-flex align-items-center custom-dropdown-button border-radius-end",
  id: "btnGroupDrop1",
  type: "button",
  "data-toggle": "dropdown",
  "aria-expanded": "false"
}, B = { class: "pl-2 h-100 d-flex align-items-center" }, Q = {
  key: 1,
  class: "d-flex align-items-center custom-dropdown-button border-radius-end inactive-styles",
  id: "btnGroupDrop1",
  type: "button",
  "data-toggle": "dropdown",
  "aria-expanded": "false"
}, T = { class: "pl-2" }, N = {
  class: "dropdown-menu dropdown-menu-right",
  "aria-labelledby": "btnGroupDrop1"
};
function U(e, t, n, V, G, I) {
  const d = $("router-link");
  return r(), i("ul", S, [
    s("div", y, [
      s("li", {
        class: "nav-item mb-0",
        role: "tab",
        title: e.$t("message.tooltip.datasets"),
        "data-toggle": "tooltip",
        "data-placement": "top"
      }, [
        g(d, {
          to: { name: "Datasets", query: { locale: e.$route.query.locale } },
          class: "nav-link router-link-active",
          role: "presentation"
        }, {
          default: u(() => [
            o(a(e.$t("message.header.navigation.data.datasets")), 1)
          ]),
          _: 1
        }, 8, ["to"])
      ], 8, w),
      t[5] || (t[5] = o()),
      s("li", {
        class: "nav-item mb-0",
        role: "tab",
        title: e.$t("message.tooltip.catalogues"),
        "data-toggle": "tooltip",
        "data-placement": "top"
      }, [
        e.useCatalogs ? (r(), b(d, {
          key: 0,
          to: { name: "Catalogues", query: { locale: e.$route.query.locale } },
          class: "nav-link router-link-inactive",
          role: "presentation"
        }, {
          default: u(() => [
            o(a(e.$t("message.header.navigation.data.catalogs")), 1)
          ]),
          _: 1
        }, 8, ["to"])) : m("", !0)
      ], 8, q),
      t[6] || (t[6] = o()),
      s("li", k, [
        s("a", {
          href: `/${this.$route.query.locale}/search?term=${e.query}&searchdomain=site`,
          class: "nav-link router-link-inactive",
          role: "presentation",
          title: e.$t("message.tooltip.editorialContent"),
          "data-toggle": "tooltip",
          "data-placement": "top"
        }, a(e.$t("message.searchTabs.editorialContent")), 9, C)
      ])
    ]),
    t[16] || (t[16] = o()),
    e.useSort ? (r(), i("div", L, [
      s("button", {
        type: "button",
        class: p(["custom-button pl-2 pr-2 border-radius-start d-flex align-items-center inactive-styles", { "active-styles": e.isSortSelectedLabelActive(e.$t("message.sort.lastUpdated")) }]),
        title: e.$t("message.tooltip.lastModified"),
        "data-toggle": "tooltip",
        "data-placement": "top",
        onClick: t[0] || (t[0] = (l) => e.setSortMethod("modified", "desc", e.$t("message.sort.lastModified")))
      }, a(e.$t("message.sort.lastUpdated")), 11, A),
      t[14] || (t[14] = o()),
      s("button", {
        type: "button",
        class: p(["custom-middle-button pl-2 pr-2 d-flex align-items-center inactive-styles", { "active-styles": e.isSortSelectedLabelActive(e.$t("message.sort.relevance")) }]),
        title: e.$t("message.tooltip.relevance"),
        "data-toggle": "tooltip",
        "data-placement": "top",
        onClick: t[1] || (t[1] = (l) => e.setSortMethod("relevance", "desc", e.$t("message.sort.relevance")))
      }, a(e.$t("message.sort.relevance")), 11, M),
      t[15] || (t[15] = o()),
      s("div", D, [
        e.isSortSelectedLabelInDropdown() ? (r(), i("button", Z, [
          s("div", B, a(e.sortSelectedLabel), 1),
          t[7] || (t[7] = o()),
          t[8] || (t[8] = s("i", { class: "pr-2 material-icons small-icon dropdown-icon" }, "arrow_drop_down", -1))
        ])) : (r(), i("button", Q, [
          s("div", T, a(e.$t("message.catalogsAndDatasets.more")), 1),
          t[9] || (t[9] = o()),
          t[10] || (t[10] = s("i", { class: "pr-2 material-icons small-icon dropdown-icon" }, "arrow_drop_down", -1))
        ])),
        t[13] || (t[13] = o()),
        s("ul", N, [
          s("button", {
            class: "dropdown-item",
            onClick: t[2] || (t[2] = (l) => e.setSortMethod(`title.${e.$route.query.locale}`, "asc", e.$t("message.sort.nameAZ")))
          }, a(e.$t("message.sort.nameAZ")), 1),
          t[11] || (t[11] = o()),
          s("button", {
            class: "dropdown-item",
            onClick: t[3] || (t[3] = (l) => e.setSortMethod(`title.${e.$route.query.locale}`, "desc", e.$t("message.sort.nameZA")))
          }, a(e.$t("message.sort.nameZA")), 1),
          t[12] || (t[12] = o()),
          s("button", {
            class: "dropdown-item",
            onClick: t[4] || (t[4] = (l) => e.setSortMethod("issued", "desc", e.$t("message.sort.lastCreated")))
          }, a(e.$t("message.sort.lastCreated")), 1)
        ])
      ])
    ])) : m("", !0)
  ]);
}
const O = /* @__PURE__ */ h(v, [["render", U], ["__scopeId", "data-v-63bc9cfc"]]);
export {
  O as default
};
//# sourceMappingURL=DatasetsFiltersTabs.vue.mjs.map
