import f from "../../map/MapBoundsSender.vue.mjs";
import w from "../../map/MapBoundsReceiver.vue.mjs";
import { isNil as y } from "lodash-es";
import { mapGetters as h, mapActions as u } from "vuex";
import { resolveComponent as c, openBlock as a, createElementBlock as r, createElementVNode as o, withDirectives as z, withKeys as F, vModelText as C, createTextVNode as d, Fragment as S, renderList as G, toDisplayString as l, createCommentVNode as p, createVNode as b } from "vue";
import "./DatasetsMapFacet.vue2.mjs";
import M from "../../_virtual/_plugin-vue_export-helper.mjs";
const k = {
  name: "DatasetFacetMap",
  components: {
    MapBoundsReceiver: w,
    MapBoundsSender: f
  },
  props: [
    "showCatalogDetails"
  ],
  data() {
    return {
      useDatasetFacetsMap: this.$env.content.datasets.facets.useDatasetFacetsMap,
      gazetteer: {
        searchbarText: "",
        suggestions: [],
        selected: !1,
        bounds: []
      },
      map: {
        sender: {
          startBounds: this.$env.content.maps.sender.startBounds,
          height: this.$env.content.maps.sender.height,
          width: this.$env.content.maps.sender.width,
          mapContainerId: this.$env.content.maps.sender.mapContainerId
        },
        receiver: {
          startBounds: this.$env.content.maps.receiver.startBounds,
          height: this.$env.content.maps.receiver.height,
          width: this.$env.content.maps.receiver.width,
          mapContainerId: this.$env.content.maps.receiver.mapContainerId
        },
        geoBoundsId: this.$env.content.maps.geoBoundsId
      },
      browser: {
        /* eslint-disable-next-line */
        isIE: (
          /*@cc_on!@*/
          !!document.documentMode
        )
      }
    };
  },
  computed: {
    ...h("gazetteer", [
      "getSuggestions"
    ]),
    ...h("geo", [
      "getGeoBoundsById",
      "getHoldedGeoBoundsById"
    ]),
    geoStateBoundsWatcher() {
      return this.getGeoBoundsById(this.map.geoBoundsId);
    }
  },
  methods: {
    ...u("gazetteer", [
      "autocomplete"
    ]),
    ...u("geo", [
      "setGeoBoundsForId",
      "resetGeoBoundsForId",
      "resetHoldedGeoBoundsForId"
    ]),
    ...u("datasets", [
      "setDatasetGeoBounds"
    ]),
    applyHoldedBounds() {
      const t = this.getHoldedGeoBoundsById(this.map.geoBoundsId);
      this.setGeoBoundsForId({
        bounds: t,
        boundsId: this.map.geoBoundsId
      });
    },
    resetBoundsFor(t) {
      this.$refs.mapSender.resetBounds(), this.$refs.mapReceiver.resetBounds(), this.resetGeoBoundsForId(t), this.resetHoldedGeoBoundsForId(t);
    },
    getAutocompleteSuggestions(t) {
      !t || y(t) ? this.clearAutocompleteSuggestions() : this.autocomplete(t).then(() => {
        this.$nextTick(() => {
          this.gazetteer.suggestions = this.getSuggestions;
        });
      });
    },
    clearAutocompleteSuggestions() {
      this.gazetteer.suggestions = [];
    },
    handleSuggestionSelection(t) {
      this.gazetteer.searchbarText = t.name, this.gazetteer.selected = !0;
      const e = t.geometry.split(",");
      this.gazetteer.bounds = [[e[1], e[0]], [e[3], e[2]]].map((m) => m.map((g) => parseFloat(g))), this.setGeoBoundsForId({
        bounds: this.gazetteer.bounds,
        boundsId: this.map.geoBoundsId
      });
    },
    triggerResize() {
      this.browser.isIE ? setTimeout(() => {
        const t = document.createEvent("UIEvents");
        t.initUIEvent("resize", !0, !1, window, 0), window.dispatchEvent(t);
      }, 500) : setTimeout(() => {
        window.dispatchEvent(new Event("resize"));
      }, 200);
    }
  },
  watch: {
    geoStateBoundsWatcher: {
      deep: !0,
      handler(t) {
        this.setDatasetGeoBounds(t);
      }
    }
  },
  created() {
  }
}, D = { key: 0 }, T = { class: "row" }, E = { class: "input-group suggestion-input-group mb-3" }, x = ["aria-label", "placeholder", "title"], R = { class: "input-group-append" }, A = ["title"], H = {
  key: 0,
  class: "suggestion-list-group"
}, N = { class: "list-group suggestion-list" }, V = ["onClick"], L = { class: "row position-relative mb-3" }, $ = {
  id: "modal-map-wrapper",
  class: "modal fade map-modal pr-md-4 pl-md-4 pr-0 pl-0",
  tabindex: "-1",
  role: "dialog",
  "aria-labelledby": "Large map view",
  "aria-hidden": "true"
}, U = { class: "modal-dialog mt-md-4 mb-md-4 m-0" }, K = { class: "modal-content" }, W = { class: "modal-header" }, j = { class: "modal-title" }, J = { class: "modal-body d-flex flex-row flex-wrap p-md-3 p-0" }, O = { class: "modal-footer" }, P = {
  type: "button",
  class: "btn btn-danger",
  "data-dismiss": "modal"
};
function Q(t, e, m, g, s, i) {
  const v = c("map-bounds-receiver"), B = c("map-bounds-sender");
  return s.useDatasetFacetsMap && !m.showCatalogDetails ? (a(), r("div", D, [
    o("div", T, [
      o("div", E, [
        z(o("input", {
          type: "text",
          class: "form-control suggestion-input",
          "aria-label": t.$t("message.datasets.findLocation"),
          placeholder: t.$t("message.datasets.findLocation"),
          title: t.$t("message.tooltip.locationFilter"),
          "data-toggle": "tooltip",
          "data-placement": "right",
          "onUpdate:modelValue": e[0] || (e[0] = (n) => s.gazetteer.searchbarText = n),
          onFocus: e[1] || (e[1] = (n) => {
            s.gazetteer.selected = !1, s.gazetteer.searchbarText = "";
          }),
          onInput: e[2] || (e[2] = (n) => i.getAutocompleteSuggestions(s.gazetteer.searchbarText)),
          onKeyup: e[3] || (e[3] = F((n) => i.getAutocompleteSuggestions(s.gazetteer.searchbarText), ["enter"]))
        }, null, 40, x), [
          [C, s.gazetteer.searchbarText]
        ]),
        e[9] || (e[9] = d()),
        o("div", R, [
          o("button", {
            class: "btn btn-primary rounded-right search-button",
            title: t.$t("message.tooltip.locationFilter")
          }, e[8] || (e[8] = [
            o("i", { class: "material-icons align-bottom" }, "search", -1)
          ]), 8, A)
        ]),
        e[10] || (e[10] = d()),
        s.gazetteer.selected ? p("", !0) : (a(), r("div", H, [
          o("ul", N, [
            (a(!0), r(S, null, G(s.gazetteer.suggestions.slice(0, 10), (n, I) => (a(), r("button", {
              class: "list-group-item list-group-item-action",
              key: I,
              onClick: (X) => i.handleSuggestionSelection(n)
            }, l(n.name), 9, V))), 128))
          ])
        ]))
      ])
    ]),
    e[21] || (e[21] = d()),
    o("div", L, [
      b(v, {
        class: "border-secondary map focus-border",
        "start-bounds": s.map.receiver.startBounds,
        height: s.map.receiver.height,
        width: s.map.receiver.width,
        "map-container-id": s.map.receiver.mapContainerId,
        "bounds-id": s.map.geoBoundsId,
        title: t.$t("message.tooltip.locationFilter"),
        "data-toggle": "tooltip",
        "data-placement": "top",
        ref: "mapReceiver"
      }, null, 8, ["start-bounds", "height", "width", "map-container-id", "bounds-id", "title"]),
      e[18] || (e[18] = d()),
      t.getGeoBoundsById(s.map.geoBoundsId) ? (a(), r("button", {
        key: 0,
        class: "btn btn-highlight reset-bounds-button",
        onClick: e[4] || (e[4] = (n) => i.resetBoundsFor(s.map.geoBoundsId))
      }, `
      Reset Bounds
    `)) : p("", !0),
      e[19] || (e[19] = d()),
      o("button", {
        class: "btn btn-sm btn-secondary map-modal-button",
        "data-toggle": "modal",
        "data-target": ".map-modal",
        onClick: e[5] || (e[5] = (n) => i.triggerResize())
      }, e[11] || (e[11] = [
        o("i", { class: "material-icons" }, "fullscreen", -1)
      ])),
      e[20] || (e[20] = d()),
      o("div", $, [
        o("div", U, [
          o("div", K, [
            o("div", W, [
              o("h2", j, l(t.$t("message.mapModal.drawRectangleMsg")), 1),
              e[12] || (e[12] = d()),
              e[13] || (e[13] = o("button", {
                type: "button",
                class: "close",
                "data-dismiss": "modal",
                "aria-label": "Close"
              }, [
                o("span", { "aria-hidden": "true" }, "×")
              ], -1))
            ]),
            e[16] || (e[16] = d()),
            o("div", J, [
              b(B, {
                "start-bounds": s.map.sender.startBounds,
                height: s.map.sender.height,
                width: s.map.sender.width,
                "map-container-id": s.map.sender.mapContainerId,
                "bounds-id": s.map.geoBoundsId,
                ref: "mapSender"
              }, null, 8, ["start-bounds", "height", "width", "map-container-id", "bounds-id"])
            ]),
            e[17] || (e[17] = d()),
            o("div", O, [
              o("button", P, l(t.$t("message.mapModal.close")), 1),
              e[14] || (e[14] = d()),
              o("button", {
                type: "button",
                class: "btn btn-highlight",
                "data-dismiss": "modal",
                onClick: e[6] || (e[6] = (n) => i.resetBoundsFor(s.map.geoBoundsId))
              }, l(t.$t("message.mapModal.reset")), 1),
              e[15] || (e[15] = d()),
              o("button", {
                type: "button",
                class: "btn btn-primary",
                onClick: e[7] || (e[7] = (n) => i.applyHoldedBounds()),
                "data-dismiss": "modal"
              }, l(t.$t("message.mapModal.findDatasets")), 1)
            ])
          ])
        ])
      ])
    ])
  ])) : p("", !0);
}
const oe = /* @__PURE__ */ M(k, [["render", Q], ["__scopeId", "data-v-eeb70d6a"]]);
export {
  oe as default
};
//# sourceMappingURL=DatasetsMapFacet.vue.mjs.map
