import { mapActions as F } from "vuex";
import { getFacetTranslation as m } from "../utils/helpers.mjs";
import { isNil as n } from "lodash-es";
import { openBlock as o, createElementBlock as u, Fragment as h, renderList as p, createElementVNode as g, toDisplayString as y, createTextVNode as f, renderSlot as $ } from "vue";
import "./SelectedFacetsOverview.vue2.mjs";
import S from "../_virtual/_plugin-vue_export-helper.mjs";
const q = {
  name: "SelectedFacetsOverview",
  components: {},
  props: {
    selectedFacets: {
      required: !0
    },
    availableFacets: {
      required: !0
    }
  },
  data() {
    return {
      defaultFacetOrder: this.$env.content.datasets.facets.defaultFacetOrder
    };
  },
  computed: {
    isErpdActive() {
      var s;
      const e = this.$route.path === "/datasets" && ((s = this.$route.query) == null ? void 0 : s.superCatalogue) === "erpd";
      let t = !1;
      if (this.$route.path === "/catalogues") {
        const a = "erpd", r = this.$route.query.superCatalog;
        if (!r)
          return !1;
        r === a && (t = !0), (r == null ? void 0 : r.constructor) === Array && r.length > 0 && r[0] === a && (t = !0);
      }
      return e || t;
    },
    getSelectedFacetsOrdered() {
      const e = [];
      return this.defaultFacetOrder.forEach((t) => {
        this.showCatalogDetails && t === "catalog" || this.showCatalogDetails && t === "superCatalog" || Object.keys(this.getSelectedFacets).forEach((s) => {
          t === s && this.getSelectedFacets[s].length > 0 && e.push({
            field: s,
            facets: this.getSelectedFacets[s]
          });
        });
      }), e;
    },
    getSelectedFacets() {
      if (this.$route.query.dataScope && this.$route.query.country && this.$route.query.country.length > 0) {
        let e = {};
        return Object.keys(this.selectedFacets).map((t) => {
          t === "country" ? (e.country = [], e.dataScope = [], this.selectedFacets.country.length === 0 ? e.dataScope.push(this.$route.query.country[0]) : this.selectedFacets.country.forEach((s) => {
            s !== "countryData" && e.country.push(s), e.dataScope.push(s);
          })) : e[t] = this.selectedFacets[t];
        }), this.$route.query.dataScope === "countryData" && (e.dataScope = ["countryData"]), this.routerPush({ query: Object.assign({}, this.$route.query) }), e;
      } else if (this.$route.query.dataScope && this.$route.query.dataScope.length > 0) {
        let e = {};
        return Object.keys(this.selectedFacets).map((t) => {
          t === "country" ? (e.country = [], e.dataScope = [], this.selectedFacets.country.length === 0 ? e.dataScope.push(this.$route.query.dataScope) : this.selectedFacets.country.forEach((s) => {
            e.dataScope.push(s);
          })) : e[t] = this.selectedFacets[t];
        }), e;
      } else
        return this.selectedFacets;
    },
    showCatalogDetails() {
      return !n(this.$route.params.ctlg_id) || !n(this.$route.query.showsubcatalogs);
    }
  },
  methods: {
    isNil: n,
    ...F("datasets", [
      "setMinScoring"
    ]),
    routerPush(e) {
      return this.$router.push(e).catch((t) => {
        console.error(t);
      });
    },
    showSelectedFacet(e) {
      return e.facets.length > 0;
    },
    findFacetTitle(e, t) {
      try {
        if (e === "superCatalog" && t === "erpd")
          return this.$t("message.metadata.yes");
        if (e === "is_hvd")
          return this.$t("message.metadata.yes");
        const s = this.availableFacets.find((a) => a.id === e).items.find((a) => a.id === t).title;
        return m(e, t, this.$route.query.locale, s);
      } catch {
        return t;
      }
    },
    findFacetFieldTitle(e) {
      const t = e.field;
      try {
        let s = "";
        return t === "scoring" ? s = this.$t("message.header.navigation.data.metadataquality") : t === "superCatalog" && e.facets.toString() === "erpd" ? s = this.$t("message.datasetFacets.facets.erpd") : this.$route.path === "/catalogues" && t === "country" ? s = this.$t("message.datasetFacets.facets.origin") : s = this.$t(`message.datasetFacets.facets.${t.toLowerCase()}`), s.includes("@: message.metadata") ? this.availableFacets.find((a) => a.id === t).title : s;
      } catch {
        return t;
      }
    },
    removeSelectedFacet(e, t) {
      if (e === "superCatalog") {
        const s = Object.assign({}, this.$route.query);
        delete s.superCatalog, this.$route.path === "/catalogues" && delete s.showsubcatalogs, this.$router.push({
          query: s
        });
      } else
        this.toggleFacet(e, t);
      this.$nextTick(() => {
        this.$emit("update-data");
      });
    },
    /**
     * @description Add/Remove a facet from the routers query parameters.
     * @param field - The field of the facet
     * @param facet - The given facet
     */
    toggleFacet(e, t) {
      let s = null;
      if (Object.prototype.hasOwnProperty.call(this.$route.query, [e]) ? e === "scoring" ? (this.setMinScoring(0), s = { query: Object.assign({}, this.$route.query, { scoring: [], page: 1 }) }) : e === "dataScope" ? s = { query: Object.assign({}, this.$route.query, { country: [], dataScope: [], page: 1 }) } : e === "country" && (s = { query: Object.assign({}, this.$route.query, { country: [], page: 1 }) }) : s = { query: Object.assign({}, this.$route.query, { [e]: [], page: 1 }) }, !s) {
        let a = this.$route.query[e].slice();
        Array.isArray(a) || (a = [a]), e === "categories" && (t.toUpperCase(), a = a.map((c) => c.toUpperCase()));
        const r = a.indexOf(t);
        r > -1 ? a.splice(r, 1) : a.push(t), s = { query: Object.assign({}, this.$route.query, { [e]: a, page: 1 }) };
      }
      return this.routerPush(s);
    }
  },
  created() {
  }
}, b = { class: "container sfo-container" }, O = ["onClick"];
function v(e, t, s, a, r, c) {
  return o(), u("div", b, [
    (o(!0), u(h, null, p(c.getSelectedFacetsOrdered.filter((i) => c.showSelectedFacet(i)), (i) => (o(), u("p", {
      key: i.field
    }, [
      g("span", null, y(`${c.findFacetFieldTitle(i)}:`), 1),
      t[0] || (t[0] = f()),
      (o(!0), u(h, null, p(i.facets, (l, d) => $(e.$slots, "default", {
        index: d,
        facet: i,
        facetId: l,
        findFacetTitle: c.findFacetTitle,
        removeSelectedFacet: c.removeSelectedFacet
      }, () => [
        (o(), u("span", {
          key: d,
          class: "badge badge-pill badge-highlight mr-1 ds-label"
        }, [
          f(y(c.findFacetTitle(i.field, l)) + " ", 1),
          g("span", {
            onClick: (C) => c.removeSelectedFacet(i.field, l),
            class: "close-facet ml-2"
          }, "×", 8, O)
        ]))
      ], !0)), 256))
    ]))), 128))
  ]);
}
const x = /* @__PURE__ */ S(q, [["render", v], ["__scopeId", "data-v-9deec7db"]]);
export {
  x as default
};
//# sourceMappingURL=SelectedFacetsOverview.vue.mjs.map
