import { isNil as d, isArray as n, isString as r, isNumber as o } from "lodash-es";
import { mapGetters as h, mapActions as u } from "vuex";
import s from "leaflet";
import { openBlock as m, createElementBlock as p } from "vue";
import "./MapBoundsReceiver.vue2.mjs";
import l from "../_virtual/_plugin-vue_export-helper.mjs";
const f = {
  name: "MapBoundsReceiver",
  data() {
    return {
      map: {},
      useAnimation: this.$env.content.maps.useAnimation,
      urlTemplate: this.$env.content.maps.urlTemplate,
      options: this.$env.content.maps.options,
      attributionPosition: this.$env.content.maps.receiver.attributionPosition,
      bounds: this.startBounds
    };
  },
  props: {
    startBounds: {
      type: Array
    },
    height: {
      type: String
    },
    width: {
      type: String
    },
    mapContainerId: {
      type: String
    },
    boundsId: {
      required: !0
    }
  },
  computed: {
    ...h("geo", [
      "getGeoBoundsById"
    ]),
    geoStateBoundsWatcher() {
      return this.getGeoBoundsById(this.boundsId);
    }
  },
  methods: {
    ...u("geo", [
      "setGeoBoundsForId",
      "setHoldedGeoBoundsForId",
      "resetGeoBoundsForId"
    ]),
    isNil: d,
    isArray: n,
    isString: r,
    isNumber: o,
    initBounds() {
      let t = !0;
      const i = this.$route.query.bounds;
      !d(i) && n(i) && i.length === 2 && (r(i[0]) && r(i[1]) && (i[0] = i[0].split(","), i[1] = i[1].split(",")), n(i[0]) && i[0].length === 2 && n(i[1]) && i[1].length === 2 && o(this.isFloat(i[0][0])) && o(this.isFloat(i[0][1])) && o(this.isFloat(i[1][0])) && o(this.isFloat(i[1][1])) && (t = !1)), t ? this.$route.query.bounds && (this.bounds = void 0, this.$router.replace({ query: Object.assign({}, this.$route.query, { bounds: this.bounds }) })) : this.bounds = i;
    },
    initMap() {
      const t = s.map(this.mapContainerId, {
        editable: !0,
        attributionControl: !1
      }).fitBounds(this.bounds);
      return s.control.attribution({
        position: this.attributionPosition
      }).addTo(t), s.tileLayer(this.urlTemplate, this.options).addTo(t), this.$refs.mapref.style.height = this.height, this.$refs.mapref.style.width = this.width, t.invalidateSize(), t.setZoom(t.getBoundsZoom(this.bounds)), t;
    },
    isFloat(t) {
      return /^(-|\+)?([0-9]+(\.[0-9]+)?|Infinity)$/.test(t) ? Number(t) : NaN;
    },
    resetBounds() {
      this.useAnimation ? this.map.flyToBounds(this.bounds, this.map.getBoundsZoom(this.bounds)) : this.map.fitBounds(this.bounds, this.map.getBoundsZoom(this.bounds));
    }
  },
  filters: {},
  watch: {
    height: {
      handler(t) {
        this.$refs.mapref.style.height = t, this.map.invalidateSize();
      }
    },
    width: {
      handler(t) {
        this.$refs.mapref.style.width = t, this.map.invalidateSize();
      }
    },
    geoStateBoundsWatcher: {
      deep: !0,
      handler(t) {
        if (!t)
          this.useAnimation ? this.map.flyToBounds(this.bounds, this.map.getBoundsZoom(this.bounds)) : this.map.fitBounds(this.bounds, this.map.getBoundsZoom(this.bounds));
        else {
          this.bounds = t;
          const i = s.latLng(t[0][0], t[0][1]), a = s.latLng(t[1][0], t[1][1]), e = s.latLngBounds(a, i);
          this.useAnimation ? this.map.flyToBounds(e, this.map.getBoundsZoom(e)) : this.map.fitBounds(e, this.map.getBoundsZoom(e));
        }
      }
    }
  },
  created() {
    this.initBounds();
  },
  mounted() {
    this.map = this.initMap(), this.map.on("resize", () => {
      this.map.invalidateSize(), this.resetBounds();
    });
  }
}, c = ["id"];
function B(t, i, a, e, g, b) {
  return m(), p("div", {
    id: a.mapContainerId,
    ref: "mapref",
    style: { "z-index": "0" }
  }, null, 8, c);
}
const A = /* @__PURE__ */ l(f, [["render", B]]);
export {
  A as default
};
//# sourceMappingURL=MapBoundsReceiver.vue.mjs.map
