import { isNil as u, isArray as d, isString as r, isNumber as a } from "lodash-es";
import { mapGetters as m, mapActions as h } from "vuex";
import o from "leaflet";
import "leaflet-draw";
import "leaflet-easybutton";
import "leaflet-editable";
import { openBlock as l, createElementBlock as p } from "vue";
import "./MapBoundsSender.vue2.mjs";
import c from "../_virtual/_plugin-vue_export-helper.mjs";
const g = {
  name: "MapBoundsSender",
  data() {
    return {
      map: {},
      rectangle: !1,
      useAnimation: this.$env.content.maps.useAnimation,
      urlTemplate: this.$env.content.maps.urlTemplate,
      options: this.$env.content.maps.options,
      bounds: this.startBounds
    };
  },
  props: {
    startBounds: {
      type: Array
    },
    height: {
      type: String
    },
    width: {
      type: String
    },
    mapContainerId: {
      type: String
    },
    boundsId: {
      required: !0
    }
  },
  computed: {
    ...m("geo", [
      "getGeoBoundsById"
    ]),
    geoStateBoundsWatcher() {
      return this.getGeoBoundsById(this.boundsId);
    },
    getBounds() {
      return this.bounds;
    }
  },
  methods: {
    ...h("datasets", []),
    ...h("geo", [
      "setGeoBoundsForId",
      "setHoldedGeoBoundsForId",
      "resetGeoBoundsForId"
    ]),
    isNil: u,
    isArray: d,
    isString: r,
    isNumber: a,
    initBounds() {
      this.setGeoBoundsForId({
        boundsId: this.boundsId,
        bounds: void 0
      });
      let t = !0;
      const s = this.$route.query.bounds;
      !u(s) && d(s) && s.length === 2 && (r(s[0]) && r(s[1]) && (s[0] = s[0].split(","), s[1] = s[1].split(",")), d(s[0]) && s[0].length === 2 && d(s[1]) && s[1].length === 2 && a(this.isFloat(s[0][0])) && a(this.isFloat(s[0][1])) && a(this.isFloat(s[1][0])) && a(this.isFloat(s[1][1])) && (this.setGeoBoundsForId({
        boundsId: this.boundsId,
        bounds: s
      }), t = !1)), t ? this.$route.query.bounds && this.$router.replace({ query: Object.assign({}, this.$route.query, { bounds: void 0 }) }) : this.bounds = s;
    },
    initMap() {
      const t = o.map(this.mapContainerId, { editable: !0 }).fitBounds(this.bounds);
      return o.tileLayer(this.urlTemplate, this.options).addTo(t), t.invalidateSize(), t.setZoom(t.getBoundsZoom(this.bounds)), t;
    },
    isFloat(t) {
      return /^(-|\+)?([0-9]+(\.[0-9]+)?|Infinity)$/.test(t) ? Number(t) : NaN;
    },
    resetBounds() {
      this.setGeoBoundsForId({
        boundsId: this.boundsId,
        bounds: void 0
      }), this.rectangle && this.rectangle.remove(), this.useAnimation ? this.map.flyToBounds(this.bounds, this.map.getBoundsZoom(this.bounds)) : this.map.fitBounds(this.bounds, this.map.getBoundsZoom(this.bounds));
    },
    createBtnControls(t) {
      const s = o.easyButton({
        states: [{
          stateName: "passive",
          // name the state
          icon: '<i class="material-icons">edit</i>',
          // and define its properties
          title: "Draw a new Rectangle",
          // like its title
          onClick: (i, e) => {
            i.state("active"), this.rectangle && this.rectangle.remove(), this.rectangle = e.editTools.startRectangle();
          }
        }, {
          stateName: "active",
          icon: '<i class="material-icons active">edit</i>',
          title: "Cancel Drawing Rectangle",
          onClick: (i) => {
            i.state("passive");
          }
        }]
      }).addTo(t);
      t.on("editable:drawing:commit", (i) => {
        const e = i.layer.getBounds();
        this.bounds = [[e.getSouthWest().lat, e.getSouthWest().lng], [e.getNorthEast().lat, e.getNorthEast().lng]], s.state("passive");
      });
    }
  },
  filters: {},
  watch: {
    height: {
      handler(t) {
        this.$refs.mapref.style.height = t, this.map.invalidateSize();
      }
    },
    width: {
      handler(t) {
        this.$refs.mapref.style.width = t, this.map.invalidateSize();
      }
    },
    bounds: {
      handler(t) {
        this.setHoldedGeoBoundsForId({
          bounds: t,
          boundsId: this.boundsId
        });
        const s = o.latLng(t[0][0], t[0][1]), i = o.latLng(t[1][0], t[1][1]), e = o.latLngBounds(i, s);
        this.useAnimation ? this.map.flyToBounds(e, this.map.getBoundsZoom(e)) : this.map.fitBounds(e, this.map.getBoundsZoom(e));
      }
    },
    geoStateBoundsWatcher: {
      deep: !0,
      handler(t, s) {
        if (JSON.stringify(t) !== JSON.stringify(s)) {
          if (!t)
            this.useAnimation ? this.map.flyToBounds(this.bounds, this.map.getBoundsZoom(this.bounds)) : this.map.fitBounds(this.bounds, this.map.getBoundsZoom(this.bounds)), this.$router.push({ query: Object.assign({}, this.$route.query, { bounds: t }) });
          else {
            this.bounds = t;
            const i = o.latLng(t[0][0], t[0][1]), e = o.latLng(t[1][0], t[1][1]), n = o.latLngBounds(e, i);
            this.useAnimation ? this.map.flyToBounds(n, this.map.getBoundsZoom(n)) : this.map.fitBounds(n, this.map.getBoundsZoom(n)), JSON.stringify(t) !== JSON.stringify(this.$route.query.bounds) && this.$router.push({ query: Object.assign({}, this.$route.query, { bounds: t }) });
          }
          this.rectangle && this.rectangle.remove();
        }
      }
    }
  },
  created() {
    this.initBounds();
  },
  mounted() {
    this.map = this.initMap(), this.createBtnControls(this.map), this.map.on("resize", () => {
      this.map.invalidateSize(), this.useAnimation ? this.map.flyToBounds(this.bounds, this.map.getBoundsZoom(this.bounds)) : this.map.fitBounds(this.bounds, this.map.getBoundsZoom(this.bounds));
    });
  }
}, f = ["id"];
function B(t, s, i, e, n, b) {
  return l(), p("div", {
    id: i.mapContainerId,
    ref: "mapref",
    style: { "z-index": "0" }
  }, null, 8, f);
}
const q = /* @__PURE__ */ c(g, [["render", B]]);
export {
  q as default
};
//# sourceMappingURL=MapBoundsSender.vue.mjs.map
