import { openBlock as r, createElementBlock as l, createElementVNode as s, normalizeClass as k, createCommentVNode as P, createTextVNode as d, toDisplayString as m, Fragment as b, renderList as w } from "vue";
import "./Pagination.vue2.mjs";
import y from "../_virtual/_plugin-vue_export-helper.mjs";
const _ = {
  name: "pagination",
  components: {},
  props: {
    itemsCount: {
      type: Number,
      default: () => 0
    },
    itemsPerPage: {
      type: Number,
      default: () => 0
    },
    getPage: {
      type: Number,
      default: () => 1
    },
    getPageCount: {
      type: Number,
      default: () => 1
    }
  },
  data() {
    return {
      pagesDisplayed: [],
      usePagination: this.$env.routing.pagination.usePagination,
      usePaginationArrows: this.$env.routing.pagination.usePaginationArrows,
      useItemsPerPage: this.$env.routing.pagination.useItemsPerPage,
      defaultItemsPerPageOptions: this.$env.routing.pagination.defaultItemsPerPageOptions
    };
  },
  computed: {},
  methods: {
    /**
     * @description Determines displayed pagenumbers and delimiters in the pagination.
     * @param currentPage {number} The currently active page.
     * @param lastPage {number} The number of the last page (also the pageCount).
     * @returns {array}
     */
    getPagesDisplayed(t, e) {
      const i = t, f = e, g = t < 1e3 ? 2 : 1, o = i - g, a = i + g + 1, u = [], c = [];
      let p;
      for (let n = 1; n <= f; n += 1)
        (n === 1 || n === f || n >= o && n < a) && u.push(n);
      for (const n of u)
        p && (n - p === 2 ? c.push(p + 1) : n - p !== 1 && c.push("...")), c.push(n), p = n;
      return c;
    },
    setPageLimit(t) {
      this.$emit("setPageLimit", t), this.changePageTo(1, t);
    },
    pageClickedHandler(t) {
      this.clickedPageValid(t) && this.changePageTo(t, this.itemsPerPage);
    },
    clickedPageValid(t) {
      return typeof t == "number" && t > 0 && t <= this.getPageCount;
    },
    changePageTo(t, e) {
      this.$router.replace({ query: Object.assign({}, this.$route.query, { page: t, limit: e }) }).catch((i) => {
        console.error(i);
      }), this.scrollTo(0, 0);
    },
    scrollTo(t, e) {
      window.scrollTo(t, e);
    }
  },
  created() {
  }
}, h = { class: "pagination-container d-flex flex-row justify-content-between flex-wrap" }, v = {
  key: 0,
  class: "d-flex pagination align-self-center mb-0"
}, C = {
  key: 0,
  class: "page-link material-icons"
}, x = { class: "page-link prev-button" }, D = ["onClick"], I = { class: "page-link page-button" }, N = { class: "page-link next-button" }, T = {
  key: 0,
  class: "page-link material-icons"
}, V = {
  key: 1,
  class: "d-flex flex-row flex-wrap align-items-center items-per-page"
}, L = { class: "d-inline align-middle mr-2" }, A = ["aria-label"], H = {
  class: "btn-group items-per-page-dropdown",
  role: "group"
}, O = {
  class: "value-display list-group-item col d-flex flex-row justify-content-between p-0 align-items-center",
  id: "itemsPerPageDropdown",
  type: "button",
  "data-toggle": "dropdown",
  "aria-expanded": "false"
}, j = { class: "pl-2 d-flex align-items-center" }, q = {
  class: "dropdown-menu ec-ds-dropdown-items",
  "aria-labelledby": "itemsPerPageDropdown"
}, B = ["onClick"];
function E(t, e, i, f, g, o) {
  return r(), l("div", h, [
    g.usePagination ? (r(), l("ul", v, [
      s("li", {
        class: k(["page-item page-item-previous", { disabled: !o.clickedPageValid(i.getPage - 1) }]),
        onClick: e[0] || (e[0] = (a) => o.pageClickedHandler(i.getPage - 1))
      }, [
        g.usePaginationArrows ? (r(), l("i", C, "keyboard_arrow_left")) : P("", !0),
        e[2] || (e[2] = d()),
        s("button", x, m(t.$t("message.pagination.previousPage")), 1)
      ], 2),
      e[4] || (e[4] = d()),
      (r(!0), l(b, null, w(o.getPagesDisplayed(i.getPage, i.getPageCount), (a, u) => (r(), l("li", {
        class: k(["page-item", { active: a === i.getPage }]),
        key: u,
        onClick: (c) => o.pageClickedHandler(a)
      }, [
        s("button", I, m(a.toLocaleString("fi")), 1)
      ], 10, D))), 128)),
      e[5] || (e[5] = d()),
      s("li", {
        class: k(["page-item page-item-next", { disabled: !o.clickedPageValid(i.getPage + 1) }]),
        onClick: e[1] || (e[1] = (a) => o.pageClickedHandler(i.getPage + 1))
      }, [
        s("button", N, m(t.$t("message.pagination.nextPage")), 1),
        e[3] || (e[3] = d()),
        g.usePaginationArrows ? (r(), l("i", T, "keyboard_arrow_right")) : P("", !0)
      ], 2)
    ])) : P("", !0),
    e[10] || (e[10] = d()),
    g.useItemsPerPage ? (r(), l("div", V, [
      s("div", L, m(t.$t("message.pagination.itemsPerPage")), 1),
      e[9] || (e[9] = d()),
      s("div", {
        class: "col-right mr-2 d-inline",
        role: "group",
        "aria-label": t.$t("message.pagination.itemsPerPage")
      }, [
        s("div", H, [
          s("button", O, [
            s("div", j, m(i.itemsPerPage), 1),
            e[6] || (e[6] = d()),
            e[7] || (e[7] = s("div", { class: "items-per-page-icon ecl-select__icon text-white" }, [
              s("i", { class: "material-icons" }, "keyboard_arrow_down")
            ], -1))
          ]),
          e[8] || (e[8] = d()),
          s("ul", q, [
            (r(!0), l(b, null, w(g.defaultItemsPerPageOptions, (a, u) => (r(), l("button", {
              class: "dropdown-item",
              onClick: (c) => o.setPageLimit(a),
              key: u
            }, m(a), 9, B))), 128))
          ])
        ])
      ], 8, A)
    ])) : P("", !0)
  ]);
}
const W = /* @__PURE__ */ y(_, [["render", E], ["__scopeId", "data-v-e5bc8588"]]);
export {
  W as default
};
//# sourceMappingURL=Pagination.vue.mjs.map
